/* Main Simulation File */

#if defined(__cplusplus)
extern "C" {
#endif

#include "Solar_model.h"
#include "simulation/solver/events.h"



/* dummy VARINFO and FILEINFO */
const FILE_INFO dummyFILE_INFO = omc_dummyFileInfo;
const VAR_INFO dummyVAR_INFO = omc_dummyVarInfo;

int Solar_input_function(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}

int Solar_input_function_init(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}

int Solar_input_function_updateStartValues(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}

int Solar_inputNames(DATA *data, char ** names){
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}

int Solar_data_function(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  TRACE_POP
  return 0;
}

int Solar_dataReconciliationInputNames(DATA *data, char ** names){
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}

int Solar_output_function(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  data->simulationInfo->outputVars[0] = (data->localData[0]->realVars[7]/* heatFlow variable */) ;
  
  TRACE_POP
  return 0;
}

int Solar_setc_function(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}


/*
equation index: 38
type: SIMPLE_ASSIGN
solarCollector.OptEff = solarCollector.IAM * solarCollector.TauAlphaN * solarCollector.Gamma * solarCollector.R
*/
void Solar_eqFunction_38(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,38};
  (data->localData[0]->realVars[13]/* solarCollector.OptEff variable */)  = ((data->localData[0]->realVars[12]/* solarCollector.IAM variable */) ) * (((data->localData[0]->realVars[14]/* solarCollector.TauAlphaN variable */) ) * (((data->simulationInfo->realParameter[33]/* solarCollector.Gamma PARAM */) ) * ((data->simulationInfo->realParameter[39]/* solarCollector.R PARAM */) )));
  TRACE_POP
}
/*
equation index: 39
type: SIMPLE_ASSIGN
solarCollector.WAbsGlass[1] = radiation.k * solarCollector.AReflector * solarCollector.AlphaGlass * solarCollector.IAM * solarCollector.Gamma * solarCollector.R
*/
void Solar_eqFunction_39(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,39};
  (data->localData[0]->realVars[17]/* solarCollector.WAbsGlass[1] variable */)  = ((data->simulationInfo->realParameter[23]/* radiation.k PARAM */) ) * (((data->localData[0]->realVars[10]/* solarCollector.AReflector variable */) ) * (((data->simulationInfo->realParameter[25]/* solarCollector.AlphaGlass PARAM */) ) * (((data->localData[0]->realVars[12]/* solarCollector.IAM variable */) ) * (((data->simulationInfo->realParameter[33]/* solarCollector.Gamma PARAM */) ) * ((data->simulationInfo->realParameter[39]/* solarCollector.R PARAM */) )))));
  TRACE_POP
}
/*
equation index: 40
type: SIMPLE_ASSIGN
solarCollector.WConvGlass[1] = solarCollector.AGlass * solarCollector.h * (solarCollector.Tglass[1] - T_atm.k)
*/
void Solar_eqFunction_40(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,40};
  (data->localData[0]->realVars[19]/* solarCollector.WConvGlass[1] variable */)  = ((data->localData[0]->realVars[9]/* solarCollector.AGlass variable */) ) * (((data->simulationInfo->realParameter[48]/* solarCollector.h PARAM */) ) * ((data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */)  - (data->simulationInfo->realParameter[16]/* T_atm.k PARAM */) ));
  TRACE_POP
}
/*
equation index: 41
type: SIMPLE_ASSIGN
solarCollector.WRadGlass[1] = 5.67e-08 * solarCollector.F12 * solarCollector.AGlass * solarCollector.EpsGlass * (solarCollector.Tglass[1] ^ 4.0 - solarCollector.Tsky ^ 4.0)
*/
void Solar_eqFunction_41(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,41};
  modelica_real tmp0;
  modelica_real tmp1;
  tmp0 = (data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ;
  tmp0 *= tmp0;tmp1 = (data->localData[0]->realVars[15]/* solarCollector.Tsky variable */) ;
  tmp1 *= tmp1;
  (data->localData[0]->realVars[21]/* solarCollector.WRadGlass[1] variable */)  = (5.67e-08) * (((data->simulationInfo->realParameter[32]/* solarCollector.F12 PARAM */) ) * (((data->localData[0]->realVars[9]/* solarCollector.AGlass variable */) ) * (((data->simulationInfo->realParameter[30]/* solarCollector.EpsGlass PARAM */) ) * ((tmp0 * tmp0) - ((tmp1 * tmp1))))));
  TRACE_POP
}
/*
equation index: 42
type: SIMPLE_ASSIGN
solarCollector.WTube[1] = solarCollector.WConvGlass[1] + solarCollector.WRadGlass[1] - solarCollector.OptEff * radiation.k * solarCollector.AReflector
*/
void Solar_eqFunction_42(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,42};
  (data->localData[0]->realVars[23]/* solarCollector.WTube[1] variable */)  = (data->localData[0]->realVars[19]/* solarCollector.WConvGlass[1] variable */)  + (data->localData[0]->realVars[21]/* solarCollector.WRadGlass[1] variable */)  - (((data->localData[0]->realVars[13]/* solarCollector.OptEff variable */) ) * (((data->simulationInfo->realParameter[23]/* radiation.k PARAM */) ) * ((data->localData[0]->realVars[10]/* solarCollector.AReflector variable */) )));
  TRACE_POP
}
/*
equation index: 43
type: SIMPLE_ASSIGN
$DER.Paroi3.Tp[1] = ((-solarCollector.WTube[1]) - $outputAlias_heatFlow) / (Paroi3.dM * Paroi3.cpw)
*/
void Solar_eqFunction_43(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,43};
  (data->localData[0]->realVars[4]/* der(Paroi3.Tp[1]) DUMMY_DER */)  = DIVISION_SIM((-(data->localData[0]->realVars[23]/* solarCollector.WTube[1] variable */) ) - (data->localData[0]->realVars[0]/* $outputAlias_heatFlow STATE(1,$heatFlow_der) */) ,((data->simulationInfo->realParameter[10]/* Paroi3.dM PARAM */) ) * ((data->simulationInfo->realParameter[9]/* Paroi3.cpw PARAM */) ),"Paroi3.dM * Paroi3.cpw",equationIndexes);
  TRACE_POP
}
/*
equation index: 44
type: SIMPLE_ASSIGN
$heatFlow_der = (-6.283185307179586) * Paroi3.dx * Paroi3.ntubes * (-Paroi3.lambda) * $DER.Paroi3.Tp[1] / $cse5
*/
void Solar_eqFunction_44(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,44};
  (data->localData[0]->realVars[5]/* $heatFlow_der variable */)  = (-6.283185307179586) * (((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) ) * (((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) ) * (DIVISION_SIM(((-(data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) )) * ((data->localData[0]->realVars[4]/* der(Paroi3.Tp[1]) DUMMY_DER */) ),(data->simulationInfo->realParameter[1]/* $cse5 PARAM */) ,"$cse5",equationIndexes))));
  TRACE_POP
}
/*
equation index: 45
type: SIMPLE_ASSIGN
$DER.$outputAlias_heatFlow = $heatFlow_der
*/
void Solar_eqFunction_45(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,45};
  (data->localData[0]->realVars[2]/* der($outputAlias_heatFlow) STATE_DER */)  = (data->localData[0]->realVars[5]/* $heatFlow_der variable */) ;
  TRACE_POP
}
/*
equation index: 46
type: SIMPLE_ASSIGN
heatFlow = $outputAlias_heatFlow
*/
void Solar_eqFunction_46(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,46};
  (data->localData[0]->realVars[7]/* heatFlow variable */)  = (data->localData[0]->realVars[0]/* $outputAlias_heatFlow STATE(1,$heatFlow_der) */) ;
  TRACE_POP
}
/*
equation index: 47
type: SIMPLE_ASSIGN
Paroi3.Tp[1] = (heatSource.T0[1] / $cse5 * Paroi3.lambda * Paroi3.ntubes * Paroi3.dx * 6.283185307179586 + $outputAlias_heatFlow) * $cse5 / (6.283185307179586 * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda)
*/
void Solar_eqFunction_47(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,47};
  (data->localData[0]->realVars[6]/* Paroi3.Tp[1] DUMMY_STATE */)  = DIVISION_SIM((((((DIVISION_SIM((data->simulationInfo->realParameter[21]/* heatSource.T0[1] PARAM */) ,(data->simulationInfo->realParameter[1]/* $cse5 PARAM */) ,"$cse5",equationIndexes)) * ((data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) )) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * (6.283185307179586) + (data->localData[0]->realVars[0]/* $outputAlias_heatFlow STATE(1,$heatFlow_der) */) ) * ((data->simulationInfo->realParameter[1]/* $cse5 PARAM */) ),(((6.283185307179586) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) ),"6.283185307179586 * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda",equationIndexes);
  TRACE_POP
}
/*
equation index: 48
type: SIMPLE_ASSIGN
solarCollector.Twall[1] = ((-Paroi3.lambda) * Paroi3.Tp[1] / $cse4 * Paroi3.ntubes * Paroi3.dx * 6.283185307179586 + solarCollector.WTube[1]) * $cse4 / ((-6.283185307179586) * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda)
*/
void Solar_eqFunction_48(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,48};
  (data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */)  = DIVISION_SIM(((((DIVISION_SIM(((-(data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) )) * ((data->localData[0]->realVars[6]/* Paroi3.Tp[1] DUMMY_STATE */) ),(data->simulationInfo->realParameter[0]/* $cse4 PARAM */) ,"$cse4",equationIndexes)) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * (6.283185307179586) + (data->localData[0]->realVars[23]/* solarCollector.WTube[1] variable */) ) * ((data->simulationInfo->realParameter[0]/* $cse4 PARAM */) ),(((-6.283185307179586) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) ),"(-6.283185307179586) * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda",equationIndexes);
  TRACE_POP
}
/*
equation index: 49
type: SIMPLE_ASSIGN
solarCollector.WCondWall[1] = 2.0 * solarCollector.ATube * solarCollector.Lambda * (solarCollector.Twall[1] - solarCollector.Tglass[1]) / ($cse6 * solarCollector.DTube)
*/
void Solar_eqFunction_49(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,49};
  (data->localData[0]->realVars[18]/* solarCollector.WCondWall[1] variable */)  = (2.0) * (((data->localData[0]->realVars[11]/* solarCollector.ATube variable */) ) * (((data->simulationInfo->realParameter[37]/* solarCollector.Lambda PARAM */) ) * (DIVISION_SIM((data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */)  - (data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ,((data->simulationInfo->realParameter[2]/* $cse6 PARAM */) ) * ((data->simulationInfo->realParameter[29]/* solarCollector.DTube PARAM */) ),"$cse6 * solarCollector.DTube",equationIndexes))));
  TRACE_POP
}
/*
equation index: 50
type: SIMPLE_ASSIGN
solarCollector.WRadWall[1] = 5.67e-08 * solarCollector.ATube * solarCollector.EpsTube * (solarCollector.Twall[1] ^ 4.0 - solarCollector.Tglass[1] ^ 4.0)
*/
void Solar_eqFunction_50(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,50};
  modelica_real tmp2;
  modelica_real tmp3;
  tmp2 = (data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */) ;
  tmp2 *= tmp2;tmp3 = (data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ;
  tmp3 *= tmp3;
  (data->localData[0]->realVars[22]/* solarCollector.WRadWall[1] variable */)  = (5.67e-08) * (((data->localData[0]->realVars[11]/* solarCollector.ATube variable */) ) * (((data->simulationInfo->realParameter[31]/* solarCollector.EpsTube PARAM */) ) * ((tmp2 * tmp2) - ((tmp3 * tmp3)))));
  TRACE_POP
}
/*
equation index: 51
type: SIMPLE_ASSIGN
$DER.solarCollector.Tglass[1] = (solarCollector.WAbsGlass[1] + solarCollector.WCondWall[1] + solarCollector.WRadWall[1] + (-solarCollector.WConvGlass[1]) - solarCollector.WRadGlass[1]) / (solarCollector.dM * solarCollector.cp_glass)
*/
void Solar_eqFunction_51(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,51};
  (data->localData[0]->realVars[3]/* der(solarCollector.Tglass[1]) STATE_DER */)  = DIVISION_SIM((data->localData[0]->realVars[17]/* solarCollector.WAbsGlass[1] variable */)  + (data->localData[0]->realVars[18]/* solarCollector.WCondWall[1] variable */)  + (data->localData[0]->realVars[22]/* solarCollector.WRadWall[1] variable */)  + (-(data->localData[0]->realVars[19]/* solarCollector.WConvGlass[1] variable */) ) - (data->localData[0]->realVars[21]/* solarCollector.WRadGlass[1] variable */) ,((data->localData[0]->realVars[24]/* solarCollector.dM variable */) ) * ((data->simulationInfo->realParameter[45]/* solarCollector.cp_glass PARAM */) ),"solarCollector.dM * solarCollector.cp_glass",equationIndexes);
  TRACE_POP
}

OMC_DISABLE_OPT
int Solar_functionDAE(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  int equationIndexes[1] = {0};
#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_tick(SIM_TIMER_DAE);
#endif

  data->simulationInfo->needToIterate = 0;
  data->simulationInfo->discreteCall = 1;
  Solar_functionLocalKnownVars(data, threadData);
  Solar_eqFunction_38(data, threadData);

  Solar_eqFunction_39(data, threadData);

  Solar_eqFunction_40(data, threadData);

  Solar_eqFunction_41(data, threadData);

  Solar_eqFunction_42(data, threadData);

  Solar_eqFunction_43(data, threadData);

  Solar_eqFunction_44(data, threadData);

  Solar_eqFunction_45(data, threadData);

  Solar_eqFunction_46(data, threadData);

  Solar_eqFunction_47(data, threadData);

  Solar_eqFunction_48(data, threadData);

  Solar_eqFunction_49(data, threadData);

  Solar_eqFunction_50(data, threadData);

  Solar_eqFunction_51(data, threadData);
  data->simulationInfo->discreteCall = 0;
  
#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_accumulate(SIM_TIMER_DAE);
#endif
  TRACE_POP
  return 0;
}


int Solar_functionLocalKnownVars(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  
  TRACE_POP
  return 0;
}


/* forwarded equations */
extern void Solar_eqFunction_40(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_41(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_42(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_43(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_44(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_45(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_47(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_48(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_49(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_50(DATA* data, threadData_t *threadData);
extern void Solar_eqFunction_51(DATA* data, threadData_t *threadData);

static void functionODE_system0(DATA *data, threadData_t *threadData)
{
  {
    Solar_eqFunction_40(data, threadData);
    threadData->lastEquationSolved = 40;
  }
  {
    Solar_eqFunction_41(data, threadData);
    threadData->lastEquationSolved = 41;
  }
  {
    Solar_eqFunction_42(data, threadData);
    threadData->lastEquationSolved = 42;
  }
  {
    Solar_eqFunction_43(data, threadData);
    threadData->lastEquationSolved = 43;
  }
  {
    Solar_eqFunction_44(data, threadData);
    threadData->lastEquationSolved = 44;
  }
  {
    Solar_eqFunction_45(data, threadData);
    threadData->lastEquationSolved = 45;
  }
  {
    Solar_eqFunction_47(data, threadData);
    threadData->lastEquationSolved = 47;
  }
  {
    Solar_eqFunction_48(data, threadData);
    threadData->lastEquationSolved = 48;
  }
  {
    Solar_eqFunction_49(data, threadData);
    threadData->lastEquationSolved = 49;
  }
  {
    Solar_eqFunction_50(data, threadData);
    threadData->lastEquationSolved = 50;
  }
  {
    Solar_eqFunction_51(data, threadData);
    threadData->lastEquationSolved = 51;
  }
}

int Solar_functionODE(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_tick(SIM_TIMER_FUNCTION_ODE);
#endif

  
  data->simulationInfo->callStatistics.functionODE++;
  
  Solar_functionLocalKnownVars(data, threadData);
  functionODE_system0(data, threadData);

#if !defined(OMC_MINIMAL_RUNTIME)
  if (measure_time_flag) rt_accumulate(SIM_TIMER_FUNCTION_ODE);
#endif

  TRACE_POP
  return 0;
}

/* forward the main in the simulation runtime */
extern int _main_SimulationRuntime(int argc, char**argv, DATA *data, threadData_t *threadData);

#include "Solar_12jac.h"
#include "Solar_13opt.h"

struct OpenModelicaGeneratedFunctionCallbacks Solar_callback = {
   NULL,    /* performSimulation */
   NULL,    /* performQSSSimulation */
   NULL,    /* updateContinuousSystem */
   Solar_callExternalObjectDestructors,    /* callExternalObjectDestructors */
   Solar_initialNonLinearSystem,    /* initialNonLinearSystem */
   NULL,    /* initialLinearSystem */
   NULL,    /* initialMixedSystem */
   #if !defined(OMC_NO_STATESELECTION)
   Solar_initializeStateSets,
   #else
   NULL,
   #endif    /* initializeStateSets */
   Solar_initializeDAEmodeData,
   Solar_functionODE,
   Solar_functionAlgebraics,
   Solar_functionDAE,
   Solar_functionLocalKnownVars,
   Solar_input_function,
   Solar_input_function_init,
   Solar_input_function_updateStartValues,
   Solar_data_function,
   Solar_output_function,
   Solar_setc_function,
   Solar_function_storeDelayed,
   Solar_function_storeSpatialDistribution,
   Solar_function_initSpatialDistribution,
   Solar_updateBoundVariableAttributes,
   Solar_functionInitialEquations,
   1, /* useHomotopy - 0: local homotopy (equidistant lambda), 1: global homotopy (equidistant lambda), 2: new global homotopy approach (adaptive lambda), 3: new local homotopy approach (adaptive lambda)*/
   NULL,
   Solar_functionRemovedInitialEquations,
   Solar_updateBoundParameters,
   Solar_checkForAsserts,
   Solar_function_ZeroCrossingsEquations,
   Solar_function_ZeroCrossings,
   Solar_function_updateRelations,
   Solar_zeroCrossingDescription,
   Solar_relationDescription,
   Solar_function_initSample,
   Solar_INDEX_JAC_A,
   Solar_INDEX_JAC_B,
   Solar_INDEX_JAC_C,
   Solar_INDEX_JAC_D,
   Solar_INDEX_JAC_F,
   Solar_initialAnalyticJacobianA,
   Solar_initialAnalyticJacobianB,
   Solar_initialAnalyticJacobianC,
   Solar_initialAnalyticJacobianD,
   Solar_initialAnalyticJacobianF,
   Solar_functionJacA_column,
   Solar_functionJacB_column,
   Solar_functionJacC_column,
   Solar_functionJacD_column,
   Solar_functionJacF_column,
   Solar_linear_model_frame,
   Solar_linear_model_datarecovery_frame,
   Solar_mayer,
   Solar_lagrange,
   Solar_pickUpBoundsForInputsInOptimization,
   Solar_setInputData,
   Solar_getTimeGrid,
   Solar_symbolicInlineSystem,
   Solar_function_initSynchronous,
   Solar_function_updateSynchronous,
   Solar_function_equationsSynchronous,
   Solar_inputNames,
   Solar_dataReconciliationInputNames,
   Solar_read_input_fmu,
   NULL,
   NULL,
   -1,
   NULL,
   NULL,
   -1

};

#define _OMC_LIT_RESOURCE_0_name_data "Complex"
#define _OMC_LIT_RESOURCE_0_dir_data "C:/Users/marion/Documents/OM/lib/omlibrary"
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_0_name,7,_OMC_LIT_RESOURCE_0_name_data);
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_0_dir,42,_OMC_LIT_RESOURCE_0_dir_data);

#define _OMC_LIT_RESOURCE_1_name_data "Modelica"
#define _OMC_LIT_RESOURCE_1_dir_data "C:/Users/marion/Documents/OM/lib/omlibrary/Modelica 3.2.3"
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_1_name,8,_OMC_LIT_RESOURCE_1_name_data);
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_1_dir,57,_OMC_LIT_RESOURCE_1_dir_data);

#define _OMC_LIT_RESOURCE_2_name_data "ModelicaServices"
#define _OMC_LIT_RESOURCE_2_dir_data "C:/Users/marion/Documents/OM/lib/omlibrary/ModelicaServices 4.0.0"
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_2_name,16,_OMC_LIT_RESOURCE_2_name_data);
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_2_dir,65,_OMC_LIT_RESOURCE_2_dir_data);

#define _OMC_LIT_RESOURCE_3_name_data "Solar"
#define _OMC_LIT_RESOURCE_3_dir_data "C:/Users/marion/Documents/OM_WD"
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_3_name,5,_OMC_LIT_RESOURCE_3_name_data);
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_3_dir,31,_OMC_LIT_RESOURCE_3_dir_data);

#define _OMC_LIT_RESOURCE_4_name_data "ThermoSysPro"
#define _OMC_LIT_RESOURCE_4_dir_data "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2"
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_4_name,12,_OMC_LIT_RESOURCE_4_name_data);
static const MMC_DEFSTRINGLIT(_OMC_LIT_RESOURCE_4_dir,48,_OMC_LIT_RESOURCE_4_dir_data);

static const MMC_DEFSTRUCTLIT(_OMC_LIT_RESOURCES,10,MMC_ARRAY_TAG) {MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_0_name), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_0_dir), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_1_name), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_1_dir), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_2_name), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_2_dir), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_3_name), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_3_dir), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_4_name), MMC_REFSTRINGLIT(_OMC_LIT_RESOURCE_4_dir)}};
void Solar_setupDataStruc(DATA *data, threadData_t *threadData)
{
  assertStreamPrint(threadData,0!=data, "Error while initialize Data");
  threadData->localRoots[LOCAL_ROOT_SIMULATION_DATA] = data;
  data->callback = &Solar_callback;
  OpenModelica_updateUriMapping(threadData, MMC_REFSTRUCTLIT(_OMC_LIT_RESOURCES));
  data->modelData->modelName = "Solar";
  data->modelData->modelFilePrefix = "Solar";
  data->modelData->resultFileName = NULL;
  data->modelData->modelDir = "C:/Users/marion/Documents/OM_WD";
  data->modelData->modelGUID = "{9584f681-e5bf-4add-b82e-6d5ee8b636a1}";
  data->modelData->initXMLData = NULL;
  data->modelData->modelDataXml.infoXMLData = NULL;
  data->modelData->runTestsuite = 0;
  
  data->modelData->nStates = 2;
  data->modelData->nVariablesReal = 25;
  data->modelData->nDiscreteReal = 0;
  data->modelData->nVariablesInteger = 0;
  data->modelData->nVariablesBoolean = 0;
  data->modelData->nVariablesString = 0;
  data->modelData->nParametersReal = 50;
  data->modelData->nParametersInteger = 5;
  data->modelData->nParametersBoolean = 2;
  data->modelData->nParametersString = 0;
  data->modelData->nInputVars = 0;
  data->modelData->nOutputVars = 1;
  
  data->modelData->nAliasReal = 9;
  data->modelData->nAliasInteger = 0;
  data->modelData->nAliasBoolean = 0;
  data->modelData->nAliasString = 0;
  
  data->modelData->nZeroCrossings = 0;
  data->modelData->nSamples = 0;
  data->modelData->nRelations = 0;
  data->modelData->nMathEvents = 0;
  data->modelData->nExtObjs = 0;
  
  GC_asprintf(&data->modelData->modelDataXml.fileName, "%s/Solar_info.json", data->modelData->resourcesDir);
  data->modelData->modelDataXml.modelInfoXmlLength = 0;
  data->modelData->modelDataXml.nFunctions = 0;
  data->modelData->modelDataXml.nProfileBlocks = 0;
  data->modelData->modelDataXml.nEquations = 105;
  data->modelData->nMixedSystems = 0;
  data->modelData->nLinearSystems = 0;
  data->modelData->nNonLinearSystems = 1;
  data->modelData->nStateSets = 0;
  data->modelData->nJacobians = 6;
  data->modelData->nOptimizeConstraints = 0;
  data->modelData->nOptimizeFinalConstraints = 0;
  
  data->modelData->nDelayExpressions = 0;
  
  data->modelData->nBaseClocks = 0;
  
  data->modelData->nSpatialDistributions = 0;
  
  data->modelData->nSensitivityVars = 0;
  data->modelData->nSensitivityParamVars = 0;
  data->modelData->nSetcVars = 0;
  data->modelData->ndataReconVars = 0;
  data->modelData->linearizationDumpLanguage =
  OMC_LINEARIZE_DUMP_LANGUAGE_MODELICA;
}

static int rml_execution_failed()
{
  fflush(NULL);
  fprintf(stderr, "Execution failed!\n");
  fflush(NULL);
  return 1;
}

