/* Asserts */
#include "Solar_model.h"
#if defined(__cplusplus)
extern "C" {
#endif


/*
equation index: 102
type: ALGORITHM

  assert(solarCollector.Twall[1] >= 0.0, "Variable violating min constraint: 0.0 <= solarCollector.Twall[1], has value: " + String(solarCollector.Twall[1], "g"));
*/
void Solar_eqFunction_102(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,102};
  modelica_boolean tmp0;
  static const MMC_DEFSTRINGLIT(tmp1,78,"Variable violating min constraint: 0.0 <= solarCollector.Twall[1], has value: ");
  modelica_string tmp2;
  modelica_metatype tmpMeta3;
  static int tmp4 = 0;
  if(!tmp4)
  {
    tmp0 = GreaterEq((data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */) ,0.0);
    if(!tmp0)
    {
      tmp2 = modelica_real_to_modelica_string_format((data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */) , (modelica_string) mmc_strings_len1[103]);
      tmpMeta3 = stringAppend(MMC_REFSTRINGLIT(tmp1),tmp2);
      {
        if (data->simulationInfo->noThrowAsserts) {
          infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f\nsolarCollector.Twall[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          infoStreamPrint(LOG_ASSERT, 0, "%s", MMC_STRINGDATA(tmpMeta3));
        } else {
          FILE_INFO info = {"C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo",37,3,38,28,0};
          omc_assert_warning(info, "The following assertion has been violated %sat time %f\nsolarCollector.Twall[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          omc_assert_warning_withEquationIndexes(info, equationIndexes, MMC_STRINGDATA(tmpMeta3));
        }
      }
      tmp4 = 1;
    }
  }
  TRACE_POP
}

/*
equation index: 103
type: ALGORITHM

  assert(solarCollector.Tglass[1] >= 0.0, "Variable violating min constraint: 0.0 <= solarCollector.Tglass[1], has value: " + String(solarCollector.Tglass[1], "g"));
*/
void Solar_eqFunction_103(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,103};
  modelica_boolean tmp5;
  static const MMC_DEFSTRINGLIT(tmp6,79,"Variable violating min constraint: 0.0 <= solarCollector.Tglass[1], has value: ");
  modelica_string tmp7;
  modelica_metatype tmpMeta8;
  static int tmp9 = 0;
  if(!tmp9)
  {
    tmp5 = GreaterEq((data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ,0.0);
    if(!tmp5)
    {
      tmp7 = modelica_real_to_modelica_string_format((data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) , (modelica_string) mmc_strings_len1[103]);
      tmpMeta8 = stringAppend(MMC_REFSTRINGLIT(tmp6),tmp7);
      {
        if (data->simulationInfo->noThrowAsserts) {
          infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f\nsolarCollector.Tglass[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          infoStreamPrint(LOG_ASSERT, 0, "%s", MMC_STRINGDATA(tmpMeta8));
        } else {
          FILE_INFO info = {"C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo",60,3,61,24,0};
          omc_assert_warning(info, "The following assertion has been violated %sat time %f\nsolarCollector.Tglass[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          omc_assert_warning_withEquationIndexes(info, equationIndexes, MMC_STRINGDATA(tmpMeta8));
        }
      }
      tmp9 = 1;
    }
  }
  TRACE_POP
}

/*
equation index: 104
type: ALGORITHM

  assert(Paroi3.Tp[1] >= 0.0, "Variable violating min constraint: 0.0 <= Paroi3.Tp[1], has value: " + String(Paroi3.Tp[1], "g"));
*/
void Solar_eqFunction_104(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH
  const int equationIndexes[2] = {1,104};
  modelica_boolean tmp10;
  static const MMC_DEFSTRINGLIT(tmp11,67,"Variable violating min constraint: 0.0 <= Paroi3.Tp[1], has value: ");
  modelica_string tmp12;
  modelica_metatype tmpMeta13;
  static int tmp14 = 0;
  if(!tmp14)
  {
    tmp10 = GreaterEq((data->localData[0]->realVars[6]/* Paroi3.Tp[1] DUMMY_STATE */) ,0.0);
    if(!tmp10)
    {
      tmp12 = modelica_real_to_modelica_string_format((data->localData[0]->realVars[6]/* Paroi3.Tp[1] DUMMY_STATE */) , (modelica_string) mmc_strings_len1[103]);
      tmpMeta13 = stringAppend(MMC_REFSTRINGLIT(tmp11),tmp12);
      {
        if (data->simulationInfo->noThrowAsserts) {
          infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f\nParoi3.Tp[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          infoStreamPrint(LOG_ASSERT, 0, "%s", MMC_STRINGDATA(tmpMeta13));
        } else {
          FILE_INFO info = {"C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo",33,3,34,44,0};
          omc_assert_warning(info, "The following assertion has been violated %sat time %f\nParoi3.Tp[1] >= 0.0", initial() ? "during initialization " : "", data->localData[0]->timeValue);
          omc_assert_warning_withEquationIndexes(info, equationIndexes, MMC_STRINGDATA(tmpMeta13));
        }
      }
      tmp14 = 1;
    }
  }
  TRACE_POP
}
/* function to check assert after a step is done */
OMC_DISABLE_OPT
int Solar_checkForAsserts(DATA *data, threadData_t *threadData)
{
  TRACE_PUSH

  Solar_eqFunction_102(data, threadData);

  Solar_eqFunction_103(data, threadData);

  Solar_eqFunction_104(data, threadData);
  
  TRACE_POP
  return 0;
}

#if defined(__cplusplus)
}
#endif

