/* Jacobians 6 */
#include "Solar_model.h"
#include "Solar_12jac.h"
/* constant equations */
/* dynamic equations */

/*
equation index: 24
type: SIMPLE_ASSIGN
$cse1 = log(1.0 + Paroi3.e / Paroi3.D)
*/
void Solar_eqFunction_24(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 0;
  const int equationIndexes[2] = {1,24};
  modelica_real tmp0;
  tmp0 = 1.0 + DIVISION((data->simulationInfo->realParameter[12]/* Paroi3.e PARAM */) ,(data->simulationInfo->realParameter[4]/* Paroi3.D PARAM */) ,"Paroi3.D");
  if(!(tmp0 > 0.0))
  {
    if (data->simulationInfo->noThrowAsserts) {
      infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      data->simulationInfo->needToReThrow = 1;
    } else {
      FILE_INFO info = {"",0,0,0,0,0};
      omc_assert_warning(info, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      throwStreamPrintWithEquationIndexes(threadData, equationIndexes, "Model error: Argument of log(1.0 + Paroi3.e / Paroi3.D) was %g should be > 0", tmp0);
    }
  }
  jacobian->tmpVars[2] /* $cse1 JACOBIAN_DIFF_VAR */ = log(tmp0);
  TRACE_POP
}

/*
equation index: 25
type: SIMPLE_ASSIGN
$cse2 = log(1.0 + Paroi3.e / (Paroi3.e + Paroi3.D))
*/
void Solar_eqFunction_25(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 1;
  const int equationIndexes[2] = {1,25};
  modelica_real tmp1;
  tmp1 = 1.0 + DIVISION((data->simulationInfo->realParameter[12]/* Paroi3.e PARAM */) ,(data->simulationInfo->realParameter[12]/* Paroi3.e PARAM */)  + (data->simulationInfo->realParameter[4]/* Paroi3.D PARAM */) ,"Paroi3.e + Paroi3.D");
  if(!(tmp1 > 0.0))
  {
    if (data->simulationInfo->noThrowAsserts) {
      infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      data->simulationInfo->needToReThrow = 1;
    } else {
      FILE_INFO info = {"",0,0,0,0,0};
      omc_assert_warning(info, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      throwStreamPrintWithEquationIndexes(threadData, equationIndexes, "Model error: Argument of log(1.0 + Paroi3.e / (Paroi3.e + Paroi3.D)) was %g should be > 0", tmp1);
    }
  }
  jacobian->tmpVars[1] /* $cse2 JACOBIAN_DIFF_VAR */ = log(tmp1);
  TRACE_POP
}

/*
equation index: 26
type: SIMPLE_ASSIGN
$cse3 = log(solarCollector.DGlass / solarCollector.DTube)
*/
void Solar_eqFunction_26(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 2;
  const int equationIndexes[2] = {1,26};
  modelica_real tmp2;
  tmp2 = DIVISION((data->simulationInfo->realParameter[28]/* solarCollector.DGlass PARAM */) ,(data->simulationInfo->realParameter[29]/* solarCollector.DTube PARAM */) ,"solarCollector.DTube");
  if(!(tmp2 > 0.0))
  {
    if (data->simulationInfo->noThrowAsserts) {
      infoStreamPrintWithEquationIndexes(LOG_ASSERT, 0, equationIndexes, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      data->simulationInfo->needToReThrow = 1;
    } else {
      FILE_INFO info = {"",0,0,0,0,0};
      omc_assert_warning(info, "The following assertion has been violated %sat time %f", initial() ? "during initialization " : "", data->localData[0]->timeValue);
      throwStreamPrintWithEquationIndexes(threadData, equationIndexes, "Model error: Argument of log(solarCollector.DGlass / solarCollector.DTube) was %g should be > 0", tmp2);
    }
  }
  jacobian->tmpVars[0] /* $cse3 JACOBIAN_DIFF_VAR */ = log(tmp2);
  TRACE_POP
}

/*
equation index: 27
type: SIMPLE_ASSIGN
solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1] = solarCollector.AGlass * solarCollector.h * solarCollector.Tglass.SeedNLSJac0[1]
*/
void Solar_eqFunction_27(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 3;
  const int equationIndexes[2] = {1,27};
  jacobian->tmpVars[4] /* solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = ((data->localData[0]->realVars[9]/* solarCollector.AGlass variable */) ) * (((data->simulationInfo->realParameter[48]/* solarCollector.h PARAM */) ) * (jacobian->seedVars[0] /* solarCollector.Tglass.SeedNLSJac0[1] SEED_VAR */));
  TRACE_POP
}

/*
equation index: 28
type: SIMPLE_ASSIGN
solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1] = 2.268e-07 * solarCollector.F12 * solarCollector.AGlass * solarCollector.EpsGlass * solarCollector.Tglass[1] ^ 3.0 * solarCollector.Tglass.SeedNLSJac0[1]
*/
void Solar_eqFunction_28(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 4;
  const int equationIndexes[2] = {1,28};
  modelica_real tmp3;
  tmp3 = (data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ;
  jacobian->tmpVars[3] /* solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = (2.268e-07) * (((data->simulationInfo->realParameter[32]/* solarCollector.F12 PARAM */) ) * (((data->localData[0]->realVars[9]/* solarCollector.AGlass variable */) ) * (((data->simulationInfo->realParameter[30]/* solarCollector.EpsGlass PARAM */) ) * (((tmp3 * tmp3 * tmp3)) * (jacobian->seedVars[0] /* solarCollector.Tglass.SeedNLSJac0[1] SEED_VAR */)))));
  TRACE_POP
}

/*
equation index: 29
type: SIMPLE_ASSIGN
solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1] = solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1] + solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1]
*/
void Solar_eqFunction_29(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 5;
  const int equationIndexes[2] = {1,29};
  jacobian->tmpVars[5] /* solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = jacobian->tmpVars[4] /* solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ + jacobian->tmpVars[3] /* solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */;
  TRACE_POP
}

/*
equation index: 30
type: SIMPLE_ASSIGN
Paroi3.Tp.$pDERNLSJac0.dummyVarNLSJac0[1] = (-solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1]) * $cse1 / (6.283185307179586 * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda)
*/
void Solar_eqFunction_30(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 6;
  const int equationIndexes[2] = {1,30};
  jacobian->tmpVars[7] /* Paroi3.Tp.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = DIVISION(((-jacobian->tmpVars[5] /* solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */)) * (jacobian->tmpVars[2] /* $cse1 JACOBIAN_DIFF_VAR */),(((6.283185307179586) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) ),"6.283185307179586 * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda");
  TRACE_POP
}

/*
equation index: 31
type: SIMPLE_ASSIGN
solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] = ((-Paroi3.lambda) * Paroi3.Tp.$pDERNLSJac0.dummyVarNLSJac0[1] / $cse2 * Paroi3.ntubes * Paroi3.dx * 6.283185307179586 + solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1]) * $cse2 / ((-6.283185307179586) * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda)
*/
void Solar_eqFunction_31(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 7;
  const int equationIndexes[2] = {1,31};
  jacobian->tmpVars[8] /* solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = DIVISION(((((DIVISION(((-(data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) )) * (jacobian->tmpVars[7] /* Paroi3.Tp.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */),jacobian->tmpVars[1] /* $cse2 JACOBIAN_DIFF_VAR */,"$cse2")) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * (6.283185307179586) + jacobian->tmpVars[5] /* solarCollector.WTube.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */) * (jacobian->tmpVars[1] /* $cse2 JACOBIAN_DIFF_VAR */),(((-6.283185307179586) * ((data->simulationInfo->realParameter[11]/* Paroi3.dx PARAM */) )) * ((data->simulationInfo->realParameter[14]/* Paroi3.ntubes PARAM */) )) * ((data->simulationInfo->realParameter[13]/* Paroi3.lambda PARAM */) ),"(-6.283185307179586) * Paroi3.dx * Paroi3.ntubes * Paroi3.lambda");
  TRACE_POP
}

/*
equation index: 32
type: SIMPLE_ASSIGN
solarCollector.WRadWall.$pDERNLSJac0.dummyVarNLSJac0[1] = 5.67e-08 * solarCollector.ATube * solarCollector.EpsTube * (4.0 * solarCollector.Twall[1] ^ 3.0 * solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] + (-4.0) * solarCollector.Tglass[1] ^ 3.0 * solarCollector.Tglass.SeedNLSJac0[1])
*/
void Solar_eqFunction_32(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 8;
  const int equationIndexes[2] = {1,32};
  modelica_real tmp4;
  modelica_real tmp5;
  tmp4 = (data->localData[0]->realVars[16]/* solarCollector.Twall[1] variable */) ;
  tmp5 = (data->localData[0]->realVars[1]/* solarCollector.Tglass[1] STATE(1) */) ;
  jacobian->tmpVars[9] /* solarCollector.WRadWall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = (5.67e-08) * (((data->localData[0]->realVars[11]/* solarCollector.ATube variable */) ) * (((data->simulationInfo->realParameter[31]/* solarCollector.EpsTube PARAM */) ) * ((4.0) * (((tmp4 * tmp4 * tmp4)) * (jacobian->tmpVars[8] /* solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */)) + (-4.0) * (((tmp5 * tmp5 * tmp5)) * (jacobian->seedVars[0] /* solarCollector.Tglass.SeedNLSJac0[1] SEED_VAR */)))));
  TRACE_POP
}

/*
equation index: 33
type: SIMPLE_ASSIGN
solarCollector.WCondWall.$pDERNLSJac0.dummyVarNLSJac0[1] = 2.0 * solarCollector.ATube * solarCollector.Lambda * (solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] - solarCollector.Tglass.SeedNLSJac0[1]) * $cse3 * solarCollector.DTube / ($cse3 * solarCollector.DTube) ^ 2.0
*/
void Solar_eqFunction_33(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 9;
  const int equationIndexes[2] = {1,33};
  modelica_real tmp6;
  tmp6 = (jacobian->tmpVars[0] /* $cse3 JACOBIAN_DIFF_VAR */) * ((data->simulationInfo->realParameter[29]/* solarCollector.DTube PARAM */) );
  jacobian->tmpVars[10] /* solarCollector.WCondWall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ = (2.0) * (((data->localData[0]->realVars[11]/* solarCollector.ATube variable */) ) * (((data->simulationInfo->realParameter[37]/* solarCollector.Lambda PARAM */) ) * ((jacobian->tmpVars[8] /* solarCollector.Twall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ - jacobian->seedVars[0] /* solarCollector.Tglass.SeedNLSJac0[1] SEED_VAR */) * ((jacobian->tmpVars[0] /* $cse3 JACOBIAN_DIFF_VAR */) * (DIVISION((data->simulationInfo->realParameter[29]/* solarCollector.DTube PARAM */) ,(tmp6 * tmp6),"($cse3 * solarCollector.DTube) ^ 2.0"))))));
  TRACE_POP
}

/*
equation index: 34
type: SIMPLE_ASSIGN
$res_NLSJac0_1.$pDERNLSJac0.dummyVarNLSJac0 = solarCollector.WRadWall.$pDERNLSJac0.dummyVarNLSJac0[1] + solarCollector.WCondWall.$pDERNLSJac0.dummyVarNLSJac0[1] + (-solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1]) - solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1]
*/
void Solar_eqFunction_34(DATA *data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  const int baseClockIndex = 0;
  const int subClockIndex = 10;
  const int equationIndexes[2] = {1,34};
  jacobian->resultVars[0] /* $res_NLSJac0_1.$pDERNLSJac0.dummyVarNLSJac0 JACOBIAN_VAR */ = jacobian->tmpVars[9] /* solarCollector.WRadWall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ + jacobian->tmpVars[10] /* solarCollector.WCondWall.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */ + (-jacobian->tmpVars[4] /* solarCollector.WConvGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */) - jacobian->tmpVars[3] /* solarCollector.WRadGlass.$pDERNLSJac0.dummyVarNLSJac0[1] JACOBIAN_DIFF_VAR */;
  TRACE_POP
}

OMC_DISABLE_OPT
int Solar_functionJacNLSJac0_constantEqns(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH

  DATA* data = ((DATA*)inData);
  int index = Solar_INDEX_JAC_NLSJac0;
  
  
  TRACE_POP
  return 0;
}

int Solar_functionJacNLSJac0_column(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH

  DATA* data = ((DATA*)inData);
  int index = Solar_INDEX_JAC_NLSJac0;
  Solar_eqFunction_24(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_25(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_26(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_27(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_28(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_29(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_30(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_31(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_32(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_33(data, threadData, jacobian, parentJacobian);
  Solar_eqFunction_34(data, threadData, jacobian, parentJacobian);
  TRACE_POP
  return 0;
}
int Solar_functionJacF_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 0;
}
int Solar_functionJacD_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 0;
}
int Solar_functionJacC_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 0;
}
int Solar_functionJacB_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 0;
}
/* constant equations */
/* dynamic equations */

OMC_DISABLE_OPT
int Solar_functionJacA_constantEqns(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH

  DATA* data = ((DATA*)inData);
  int index = Solar_INDEX_JAC_A;
  
  
  TRACE_POP
  return 0;
}

int Solar_functionJacA_column(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian, ANALYTIC_JACOBIAN *parentJacobian)
{
  TRACE_PUSH

  DATA* data = ((DATA*)inData);
  int index = Solar_INDEX_JAC_A;
  TRACE_POP
  return 0;
}

OMC_DISABLE_OPT
int Solar_initialAnalyticJacobianNLSJac0(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  DATA* data = ((DATA*)inData);
  const int colPtrIndex[1+1] = {0,1};
  const int rowIndex[1] = {0};
  int i = 0;
  
  jacobian->sizeCols = 1;
  jacobian->sizeRows = 1;
  jacobian->sizeTmpVars = 12;
  jacobian->seedVars = (modelica_real*) calloc(1,sizeof(modelica_real));
  jacobian->resultVars = (modelica_real*) calloc(1,sizeof(modelica_real));
  jacobian->tmpVars = (modelica_real*) calloc(12,sizeof(modelica_real));
  jacobian->sparsePattern = (SPARSE_PATTERN*) malloc(sizeof(SPARSE_PATTERN));
  jacobian->sparsePattern->leadindex = (unsigned int*) malloc((1+1)*sizeof(unsigned int));
  jacobian->sparsePattern->index = (unsigned int*) malloc(1*sizeof(unsigned int));
  jacobian->sparsePattern->numberOfNonZeros = 1;
  jacobian->sparsePattern->colorCols = (unsigned int*) malloc(1*sizeof(unsigned int));
  jacobian->sparsePattern->maxColors = 1;
  jacobian->constantEqns = NULL;
  
  /* write lead index of compressed sparse column */
  memcpy(jacobian->sparsePattern->leadindex, colPtrIndex, (1+1)*sizeof(unsigned int));
  
  for(i=2;i<1+1;++i)
    jacobian->sparsePattern->leadindex[i] += jacobian->sparsePattern->leadindex[i-1];
  
  /* call sparse index */
  memcpy(jacobian->sparsePattern->index, rowIndex, 1*sizeof(unsigned int));
  
  /* write color array */
  jacobian->sparsePattern->colorCols[0] = 1;
  TRACE_POP
  return 0;
}
int Solar_initialAnalyticJacobianF(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 1;
}
int Solar_initialAnalyticJacobianD(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 1;
}
int Solar_initialAnalyticJacobianC(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 1;
}
int Solar_initialAnalyticJacobianB(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  TRACE_POP
  return 1;
}
OMC_DISABLE_OPT
int Solar_initialAnalyticJacobianA(void* inData, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian)
{
  TRACE_PUSH
  DATA* data = ((DATA*)inData);
  const int colPtrIndex[1+2] = {0,2,2};
  const int rowIndex[4] = {0,1,0,1};
  int i = 0;
  
  jacobian->sizeCols = 2;
  jacobian->sizeRows = 2;
  jacobian->sizeTmpVars = 0;
  jacobian->seedVars = (modelica_real*) calloc(2,sizeof(modelica_real));
  jacobian->resultVars = (modelica_real*) calloc(2,sizeof(modelica_real));
  jacobian->tmpVars = (modelica_real*) calloc(0,sizeof(modelica_real));
  jacobian->sparsePattern = (SPARSE_PATTERN*) malloc(sizeof(SPARSE_PATTERN));
  jacobian->sparsePattern->leadindex = (unsigned int*) malloc((2+1)*sizeof(unsigned int));
  jacobian->sparsePattern->index = (unsigned int*) malloc(4*sizeof(unsigned int));
  jacobian->sparsePattern->numberOfNonZeros = 4;
  jacobian->sparsePattern->colorCols = (unsigned int*) malloc(2*sizeof(unsigned int));
  jacobian->sparsePattern->maxColors = 2;
  jacobian->constantEqns = NULL;
  
  /* write lead index of compressed sparse column */
  memcpy(jacobian->sparsePattern->leadindex, colPtrIndex, (2+1)*sizeof(unsigned int));
  
  for(i=2;i<2+1;++i)
    jacobian->sparsePattern->leadindex[i] += jacobian->sparsePattern->leadindex[i-1];
  
  /* call sparse index */
  memcpy(jacobian->sparsePattern->index, rowIndex, 4*sizeof(unsigned int));
  
  /* write color array */
  jacobian->sparsePattern->colorCols[1] = 1;
  jacobian->sparsePattern->colorCols[0] = 2;
  TRACE_POP
  return 0;
}


