/* Linearization */
#include "Solar_model.h"
#if defined(__cplusplus)
extern "C" {
#endif
const char *Solar_linear_model_frame()
{
  return "model linearized_model \"Solar\" \n  parameter Integer n = 2 \"number of states\";\n  parameter Integer m = 0 \"number of inputs\";\n  parameter Integer p = 1 \"number of outputs\";\n"
  "  parameter Real x0[n] = %s;\n"
  "  parameter Real u0[m] = %s;\n"
  "\n"
  "  parameter Real A[n, n] =\n\t[%s];\n\n"
  "  parameter Real B[n, m] = zeros(n, m);%s\n\n"
  "  parameter Real C[p, n] =\n\t[%s];\n\n"
  "  parameter Real D[p, m] = zeros(p, m);%s\n\n"
  "\n"
  "  Real x[n](start=x0);\n"
  "  input Real u[m];\n"
  "  output Real y[p];\n"
  "\n"
  "  Real 'x_$outputAlias_heatFlow' = x[1];\n""  Real 'x_solarCollector.Tglass[1]' = x[2];\n"
  "  Real 'y_heatFlow' = y[1];\n"
  "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\nend linearized_model;\n";
}
const char *Solar_linear_model_datarecovery_frame()
{
  return "model linearized_model \"Solar\" \n parameter Integer n = 2 \"number of states\";\n  parameter Integer m = 0 \"number of inputs\";\n  parameter Integer p = 1 \"number of outputs\";\n  parameter Integer nz = 21 \"data recovery variables\";\n"
  "  parameter Real x0[2] = %s;\n"
  "  parameter Real u0[0] = %s;\n"
  "  parameter Real z0[21] = %s;\n"
  "\n"
  "  parameter Real A[n, n] =\n\t[%s];\n\n"
  "  parameter Real B[n, m] = zeros(n, m);%s\n\n"
  "  parameter Real C[p, n] =\n\t[%s];\n\n"
  "  parameter Real D[p, m] = zeros(p, m);%s\n\n"
  "  parameter Real Cz[nz, n] =\n\t[%s];\n\n"
  "  parameter Real Dz[nz, m] = zeros(nz, m);%s\n\n"
  "\n"
  "  Real x[n](start=x0);\n"
  "  input Real u[m];\n"
  "  output Real y[p];\n"
  "  output Real z[nz];\n"
  "\n"
  "  Real 'x_$outputAlias_heatFlow' = x[1];\n""  Real 'x_solarCollector.Tglass[1]' = x[2];\n"
  "  Real 'y_heatFlow' = y[1];\n"
  "  Real 'z_der(Paroi3.Tp[1])' = z[1];\n""  Real 'z_$heatFlow_der' = z[2];\n""  Real 'z_Paroi3.Tp[1]' = z[3];\n""  Real 'z_heatFlow' = z[4];\n""  Real 'z_heatSource.ISignal.signal' = z[5];\n""  Real 'z_solarCollector.AGlass' = z[6];\n""  Real 'z_solarCollector.AReflector' = z[7];\n""  Real 'z_solarCollector.ATube' = z[8];\n""  Real 'z_solarCollector.IAM' = z[9];\n""  Real 'z_solarCollector.OptEff' = z[10];\n""  Real 'z_solarCollector.TauAlphaN' = z[11];\n""  Real 'z_solarCollector.Tsky' = z[12];\n""  Real 'z_solarCollector.Twall[1]' = z[13];\n""  Real 'z_solarCollector.WAbsGlass[1]' = z[14];\n""  Real 'z_solarCollector.WCondWall[1]' = z[15];\n""  Real 'z_solarCollector.WConvGlass[1]' = z[16];\n""  Real 'z_solarCollector.WConvWall[1]' = z[17];\n""  Real 'z_solarCollector.WRadGlass[1]' = z[18];\n""  Real 'z_solarCollector.WRadWall[1]' = z[19];\n""  Real 'z_solarCollector.WTube[1]' = z[20];\n""  Real 'z_solarCollector.dM' = z[21];\n"
  "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\n  z = Cz * x + Dz * u;\nend linearized_model;\n";
}
#if defined(__cplusplus)
}
#endif

