#include "simulation_data.h"

OMC_DISABLE_OPT
void Solar_read_input_fmu(MODEL_DATA* modelData, SIMULATION_INFO* simulationInfo)
{
  simulationInfo->startTime = 0.0;
  simulationInfo->stopTime = 1.0;
  simulationInfo->stepSize = 0.5;
  simulationInfo->tolerance = 1e-06;
  simulationInfo->solverMethod = "dassl";
  simulationInfo->outputFormat = "mat";
  simulationInfo->variableFilter = ".*";
  simulationInfo->OPENMODELICAHOME = "C:/Users/marion/Documents/OM";
  modelData->realVarsData[0].info.id = 1000;
  modelData->realVarsData[0].info.name = "$outputAlias_heatFlow";
  modelData->realVarsData[0].info.comment = "";
  modelData->realVarsData[0].info.info.filename = "C:/Users/marion/Documents/OM_WD/Solar.mo";
  modelData->realVarsData[0].info.info.lineStart = 4;
  modelData->realVarsData[0].info.info.colStart = 3;
  modelData->realVarsData[0].info.info.lineEnd = 4;
  modelData->realVarsData[0].info.info.colEnd = 54;
  modelData->realVarsData[0].info.info.readonly = 0;
  modelData->realVarsData[0].attribute.unit = "";
  modelData->realVarsData[0].attribute.displayUnit = "";
  modelData->realVarsData[0].attribute.min = -DBL_MAX;
  modelData->realVarsData[0].attribute.max = DBL_MAX;
  modelData->realVarsData[0].attribute.fixed = 0;
  modelData->realVarsData[0].attribute.useNominal = 1;
  modelData->realVarsData[0].attribute.nominal = 300000.0;
  modelData->realVarsData[0].attribute.start = 0.0;
  modelData->realVarsData[1].info.id = 1001;
  modelData->realVarsData[1].info.name = "solarCollector.Tglass[1]";
  modelData->realVarsData[1].info.comment = "Glass temperature";
  modelData->realVarsData[1].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[1].info.info.lineStart = 60;
  modelData->realVarsData[1].info.info.colStart = 3;
  modelData->realVarsData[1].info.info.lineEnd = 61;
  modelData->realVarsData[1].info.info.colEnd = 24;
  modelData->realVarsData[1].info.info.readonly = 0;
  modelData->realVarsData[1].attribute.unit = "K";
  modelData->realVarsData[1].attribute.displayUnit = "degC";
  modelData->realVarsData[1].attribute.min = 0.0;
  modelData->realVarsData[1].attribute.max = DBL_MAX;
  modelData->realVarsData[1].attribute.fixed = 0;
  modelData->realVarsData[1].attribute.useNominal = 1;
  modelData->realVarsData[1].attribute.nominal = 300.0;
  modelData->realVarsData[1].attribute.start = 300.0;
  modelData->realVarsData[2].info.id = 1002;
  modelData->realVarsData[2].info.name = "der($outputAlias_heatFlow)";
  modelData->realVarsData[2].info.comment = "";
  modelData->realVarsData[2].info.info.filename = "C:/Users/marion/Documents/OM_WD/Solar.mo";
  modelData->realVarsData[2].info.info.lineStart = 4;
  modelData->realVarsData[2].info.info.colStart = 3;
  modelData->realVarsData[2].info.info.lineEnd = 4;
  modelData->realVarsData[2].info.info.colEnd = 54;
  modelData->realVarsData[2].info.info.readonly = 0;
  modelData->realVarsData[2].attribute.unit = "";
  modelData->realVarsData[2].attribute.displayUnit = "";
  modelData->realVarsData[2].attribute.min = -DBL_MAX;
  modelData->realVarsData[2].attribute.max = DBL_MAX;
  modelData->realVarsData[2].attribute.fixed = 0;
  modelData->realVarsData[2].attribute.useNominal = 0;
  modelData->realVarsData[2].attribute.nominal = 1.0;
  modelData->realVarsData[2].attribute.start = 0.0;
  modelData->realVarsData[3].info.id = 1003;
  modelData->realVarsData[3].info.name = "der(solarCollector.Tglass[1])";
  modelData->realVarsData[3].info.comment = "der(Glass temperature)";
  modelData->realVarsData[3].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[3].info.info.lineStart = 60;
  modelData->realVarsData[3].info.info.colStart = 3;
  modelData->realVarsData[3].info.info.lineEnd = 61;
  modelData->realVarsData[3].info.info.colEnd = 24;
  modelData->realVarsData[3].info.info.readonly = 0;
  modelData->realVarsData[3].attribute.unit = "s-1.K";
  modelData->realVarsData[3].attribute.displayUnit = "";
  modelData->realVarsData[3].attribute.min = -DBL_MAX;
  modelData->realVarsData[3].attribute.max = DBL_MAX;
  modelData->realVarsData[3].attribute.fixed = 0;
  modelData->realVarsData[3].attribute.useNominal = 0;
  modelData->realVarsData[3].attribute.nominal = 1.0;
  modelData->realVarsData[3].attribute.start = 0.0;
  modelData->realVarsData[4].info.id = 1004;
  modelData->realVarsData[4].info.name = "der(Paroi3.Tp[1])";
  modelData->realVarsData[4].info.comment = "Average wall temperature in section i";
  modelData->realVarsData[4].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realVarsData[4].info.info.lineStart = 33;
  modelData->realVarsData[4].info.info.colStart = 3;
  modelData->realVarsData[4].info.info.lineEnd = 34;
  modelData->realVarsData[4].info.info.colEnd = 44;
  modelData->realVarsData[4].info.info.readonly = 0;
  modelData->realVarsData[4].attribute.unit = "";
  modelData->realVarsData[4].attribute.displayUnit = "";
  modelData->realVarsData[4].attribute.min = -DBL_MAX;
  modelData->realVarsData[4].attribute.max = DBL_MAX;
  modelData->realVarsData[4].attribute.fixed = 0;
  modelData->realVarsData[4].attribute.useNominal = 0;
  modelData->realVarsData[4].attribute.nominal = 1.0;
  modelData->realVarsData[4].attribute.start = 0.0;
  modelData->realVarsData[5].info.id = 1005;
  modelData->realVarsData[5].info.name = "$heatFlow_der";
  modelData->realVarsData[5].info.comment = "";
  modelData->realVarsData[5].info.info.filename = "";
  modelData->realVarsData[5].info.info.lineStart = 0;
  modelData->realVarsData[5].info.info.colStart = 0;
  modelData->realVarsData[5].info.info.lineEnd = 0;
  modelData->realVarsData[5].info.info.colEnd = 0;
  modelData->realVarsData[5].info.info.readonly = 0;
  modelData->realVarsData[5].attribute.unit = "";
  modelData->realVarsData[5].attribute.displayUnit = "";
  modelData->realVarsData[5].attribute.min = -DBL_MAX;
  modelData->realVarsData[5].attribute.max = DBL_MAX;
  modelData->realVarsData[5].attribute.fixed = 0;
  modelData->realVarsData[5].attribute.useNominal = 0;
  modelData->realVarsData[5].attribute.nominal = 1.0;
  modelData->realVarsData[5].attribute.start = 0.0;
  modelData->realVarsData[6].info.id = 1006;
  modelData->realVarsData[6].info.name = "Paroi3.Tp[1]";
  modelData->realVarsData[6].info.comment = "Average wall temperature in section i";
  modelData->realVarsData[6].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realVarsData[6].info.info.lineStart = 33;
  modelData->realVarsData[6].info.info.colStart = 3;
  modelData->realVarsData[6].info.info.lineEnd = 34;
  modelData->realVarsData[6].info.info.colEnd = 44;
  modelData->realVarsData[6].info.info.readonly = 0;
  modelData->realVarsData[6].attribute.unit = "K";
  modelData->realVarsData[6].attribute.displayUnit = "degC";
  modelData->realVarsData[6].attribute.min = 0.0;
  modelData->realVarsData[6].attribute.max = DBL_MAX;
  modelData->realVarsData[6].attribute.fixed = 0;
  modelData->realVarsData[6].attribute.useNominal = 1;
  modelData->realVarsData[6].attribute.nominal = 300.0;
  modelData->realVarsData[6].attribute.start = 0.0;
  modelData->realVarsData[7].info.id = 1007;
  modelData->realVarsData[7].info.name = "heatFlow";
  modelData->realVarsData[7].info.comment = "";
  modelData->realVarsData[7].info.info.filename = "C:/Users/marion/Documents/OM_WD/Solar.mo";
  modelData->realVarsData[7].info.info.lineStart = 4;
  modelData->realVarsData[7].info.info.colStart = 3;
  modelData->realVarsData[7].info.info.lineEnd = 4;
  modelData->realVarsData[7].info.info.colEnd = 54;
  modelData->realVarsData[7].info.info.readonly = 0;
  modelData->realVarsData[7].attribute.unit = "";
  modelData->realVarsData[7].attribute.displayUnit = "";
  modelData->realVarsData[7].attribute.min = -DBL_MAX;
  modelData->realVarsData[7].attribute.max = DBL_MAX;
  modelData->realVarsData[7].attribute.fixed = 0;
  modelData->realVarsData[7].attribute.useNominal = 0;
  modelData->realVarsData[7].attribute.nominal = 1.0;
  modelData->realVarsData[7].attribute.start = 0.0;
  modelData->realVarsData[8].info.id = 1008;
  modelData->realVarsData[8].info.name = "heatSource.ISignal.signal";
  modelData->realVarsData[8].info.comment = "";
  modelData->realVarsData[8].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realVarsData[8].info.info.lineStart = 52;
  modelData->realVarsData[8].info.info.colStart = 5;
  modelData->realVarsData[8].info.info.lineEnd = 52;
  modelData->realVarsData[8].info.info.colEnd = 22;
  modelData->realVarsData[8].info.info.readonly = 0;
  modelData->realVarsData[8].attribute.unit = "";
  modelData->realVarsData[8].attribute.displayUnit = "";
  modelData->realVarsData[8].attribute.min = -DBL_MAX;
  modelData->realVarsData[8].attribute.max = DBL_MAX;
  modelData->realVarsData[8].attribute.fixed = 1;
  modelData->realVarsData[8].attribute.useNominal = 0;
  modelData->realVarsData[8].attribute.nominal = 1.0;
  modelData->realVarsData[8].attribute.start = 0.0;
  modelData->realVarsData[9].info.id = 1009;
  modelData->realVarsData[9].info.name = "solarCollector.AGlass";
  modelData->realVarsData[9].info.comment = "Glass surface";
  modelData->realVarsData[9].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[9].info.info.lineStart = 42;
  modelData->realVarsData[9].info.info.colStart = 3;
  modelData->realVarsData[9].info.info.lineEnd = 42;
  modelData->realVarsData[9].info.info.colEnd = 56;
  modelData->realVarsData[9].info.info.readonly = 0;
  modelData->realVarsData[9].attribute.unit = "m2";
  modelData->realVarsData[9].attribute.displayUnit = "";
  modelData->realVarsData[9].attribute.min = -DBL_MAX;
  modelData->realVarsData[9].attribute.max = DBL_MAX;
  modelData->realVarsData[9].attribute.fixed = 1;
  modelData->realVarsData[9].attribute.useNominal = 0;
  modelData->realVarsData[9].attribute.nominal = 1.0;
  modelData->realVarsData[9].attribute.start = 1.0;
  modelData->realVarsData[10].info.id = 1010;
  modelData->realVarsData[10].info.name = "solarCollector.AReflector";
  modelData->realVarsData[10].info.comment = "Reflector surface";
  modelData->realVarsData[10].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[10].info.info.lineStart = 41;
  modelData->realVarsData[10].info.info.colStart = 3;
  modelData->realVarsData[10].info.info.lineEnd = 41;
  modelData->realVarsData[10].info.info.colEnd = 64;
  modelData->realVarsData[10].info.info.readonly = 0;
  modelData->realVarsData[10].attribute.unit = "m2";
  modelData->realVarsData[10].attribute.displayUnit = "";
  modelData->realVarsData[10].attribute.min = -DBL_MAX;
  modelData->realVarsData[10].attribute.max = DBL_MAX;
  modelData->realVarsData[10].attribute.fixed = 1;
  modelData->realVarsData[10].attribute.useNominal = 0;
  modelData->realVarsData[10].attribute.nominal = 1.0;
  modelData->realVarsData[10].attribute.start = 1.0;
  modelData->realVarsData[11].info.id = 1011;
  modelData->realVarsData[11].info.name = "solarCollector.ATube";
  modelData->realVarsData[11].info.comment = "Pipe surface";
  modelData->realVarsData[11].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[11].info.info.lineStart = 43;
  modelData->realVarsData[11].info.info.colStart = 3;
  modelData->realVarsData[11].info.info.lineEnd = 43;
  modelData->realVarsData[11].info.info.colEnd = 54;
  modelData->realVarsData[11].info.info.readonly = 0;
  modelData->realVarsData[11].attribute.unit = "m2";
  modelData->realVarsData[11].attribute.displayUnit = "";
  modelData->realVarsData[11].attribute.min = -DBL_MAX;
  modelData->realVarsData[11].attribute.max = DBL_MAX;
  modelData->realVarsData[11].attribute.fixed = 1;
  modelData->realVarsData[11].attribute.useNominal = 0;
  modelData->realVarsData[11].attribute.nominal = 1.0;
  modelData->realVarsData[11].attribute.start = 1.0;
  modelData->realVarsData[12].info.id = 1012;
  modelData->realVarsData[12].info.name = "solarCollector.IAM";
  modelData->realVarsData[12].info.comment = "Incidence angle modifier";
  modelData->realVarsData[12].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[12].info.info.lineStart = 46;
  modelData->realVarsData[12].info.info.colStart = 3;
  modelData->realVarsData[12].info.info.lineEnd = 46;
  modelData->realVarsData[12].info.info.colEnd = 47;
  modelData->realVarsData[12].info.info.readonly = 0;
  modelData->realVarsData[12].attribute.unit = "";
  modelData->realVarsData[12].attribute.displayUnit = "";
  modelData->realVarsData[12].attribute.min = -DBL_MAX;
  modelData->realVarsData[12].attribute.max = DBL_MAX;
  modelData->realVarsData[12].attribute.fixed = 1;
  modelData->realVarsData[12].attribute.useNominal = 0;
  modelData->realVarsData[12].attribute.nominal = 1.0;
  modelData->realVarsData[12].attribute.start = 1.0;
  modelData->realVarsData[13].info.id = 1013;
  modelData->realVarsData[13].info.name = "solarCollector.OptEff";
  modelData->realVarsData[13].info.comment = "Optical efficiency";
  modelData->realVarsData[13].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[13].info.info.lineStart = 45;
  modelData->realVarsData[13].info.info.colStart = 3;
  modelData->realVarsData[13].info.info.lineEnd = 45;
  modelData->realVarsData[13].info.info.colEnd = 44;
  modelData->realVarsData[13].info.info.readonly = 0;
  modelData->realVarsData[13].attribute.unit = "";
  modelData->realVarsData[13].attribute.displayUnit = "";
  modelData->realVarsData[13].attribute.min = -DBL_MAX;
  modelData->realVarsData[13].attribute.max = DBL_MAX;
  modelData->realVarsData[13].attribute.fixed = 0;
  modelData->realVarsData[13].attribute.useNominal = 0;
  modelData->realVarsData[13].attribute.nominal = 1.0;
  modelData->realVarsData[13].attribute.start = 0.0;
  modelData->realVarsData[14].info.id = 1014;
  modelData->realVarsData[14].info.name = "solarCollector.TauAlphaN";
  modelData->realVarsData[14].info.comment = "Transmittivity-absorptivity factor";
  modelData->realVarsData[14].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[14].info.info.lineStart = 47;
  modelData->realVarsData[14].info.info.colStart = 3;
  modelData->realVarsData[14].info.info.lineEnd = 47;
  modelData->realVarsData[14].info.info.colEnd = 63;
  modelData->realVarsData[14].info.info.readonly = 0;
  modelData->realVarsData[14].attribute.unit = "";
  modelData->realVarsData[14].attribute.displayUnit = "";
  modelData->realVarsData[14].attribute.min = -DBL_MAX;
  modelData->realVarsData[14].attribute.max = DBL_MAX;
  modelData->realVarsData[14].attribute.fixed = 1;
  modelData->realVarsData[14].attribute.useNominal = 0;
  modelData->realVarsData[14].attribute.nominal = 1.0;
  modelData->realVarsData[14].attribute.start = 1.0;
  modelData->realVarsData[15].info.id = 1015;
  modelData->realVarsData[15].info.name = "solarCollector.Tsky";
  modelData->realVarsData[15].info.comment = "Sky temperature";
  modelData->realVarsData[15].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[15].info.info.lineStart = 59;
  modelData->realVarsData[15].info.info.colStart = 3;
  modelData->realVarsData[15].info.info.lineEnd = 59;
  modelData->realVarsData[15].info.info.colEnd = 65;
  modelData->realVarsData[15].info.info.readonly = 0;
  modelData->realVarsData[15].attribute.unit = "K";
  modelData->realVarsData[15].attribute.displayUnit = "K";
  modelData->realVarsData[15].attribute.min = 0.0;
  modelData->realVarsData[15].attribute.max = DBL_MAX;
  modelData->realVarsData[15].attribute.fixed = 1;
  modelData->realVarsData[15].attribute.useNominal = 1;
  modelData->realVarsData[15].attribute.nominal = 300.0;
  modelData->realVarsData[15].attribute.start = 300.0;
  modelData->realVarsData[16].info.id = 1016;
  modelData->realVarsData[16].info.name = "solarCollector.Twall[1]";
  modelData->realVarsData[16].info.comment = "Pipe wall temperature";
  modelData->realVarsData[16].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[16].info.info.lineStart = 37;
  modelData->realVarsData[16].info.info.colStart = 3;
  modelData->realVarsData[16].info.info.lineEnd = 38;
  modelData->realVarsData[16].info.info.colEnd = 28;
  modelData->realVarsData[16].info.info.readonly = 0;
  modelData->realVarsData[16].attribute.unit = "K";
  modelData->realVarsData[16].attribute.displayUnit = "degC";
  modelData->realVarsData[16].attribute.min = 0.0;
  modelData->realVarsData[16].attribute.max = DBL_MAX;
  modelData->realVarsData[16].attribute.fixed = 0;
  modelData->realVarsData[16].attribute.useNominal = 1;
  modelData->realVarsData[16].attribute.nominal = 300.0;
  modelData->realVarsData[16].attribute.start = 0.0;
  modelData->realVarsData[17].info.id = 1017;
  modelData->realVarsData[17].info.name = "solarCollector.WAbsGlass[1]";
  modelData->realVarsData[17].info.comment = "Absorption of the glass layer";
  modelData->realVarsData[17].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[17].info.info.lineStart = 57;
  modelData->realVarsData[17].info.info.colStart = 3;
  modelData->realVarsData[17].info.info.lineEnd = 58;
  modelData->realVarsData[17].info.info.colEnd = 36;
  modelData->realVarsData[17].info.info.readonly = 0;
  modelData->realVarsData[17].attribute.unit = "W";
  modelData->realVarsData[17].attribute.displayUnit = "";
  modelData->realVarsData[17].attribute.min = -DBL_MAX;
  modelData->realVarsData[17].attribute.max = DBL_MAX;
  modelData->realVarsData[17].attribute.fixed = 0;
  modelData->realVarsData[17].attribute.useNominal = 0;
  modelData->realVarsData[17].attribute.nominal = 1.0;
  modelData->realVarsData[17].attribute.start = 0.0;
  modelData->realVarsData[18].info.id = 1018;
  modelData->realVarsData[18].info.name = "solarCollector.WCondWall[1]";
  modelData->realVarsData[18].info.comment = "Conduction of the wall";
  modelData->realVarsData[18].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[18].info.info.lineStart = 51;
  modelData->realVarsData[18].info.info.colStart = 3;
  modelData->realVarsData[18].info.info.lineEnd = 52;
  modelData->realVarsData[18].info.info.colEnd = 29;
  modelData->realVarsData[18].info.info.readonly = 0;
  modelData->realVarsData[18].attribute.unit = "W";
  modelData->realVarsData[18].attribute.displayUnit = "";
  modelData->realVarsData[18].attribute.min = -DBL_MAX;
  modelData->realVarsData[18].attribute.max = DBL_MAX;
  modelData->realVarsData[18].attribute.fixed = 0;
  modelData->realVarsData[18].attribute.useNominal = 0;
  modelData->realVarsData[18].attribute.nominal = 1.0;
  modelData->realVarsData[18].attribute.start = 0.0;
  modelData->realVarsData[19].info.id = 1019;
  modelData->realVarsData[19].info.name = "solarCollector.WConvGlass[1]";
  modelData->realVarsData[19].info.comment = "Convection of the glass layer";
  modelData->realVarsData[19].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[19].info.info.lineStart = 55;
  modelData->realVarsData[19].info.info.colStart = 3;
  modelData->realVarsData[19].info.info.lineEnd = 56;
  modelData->realVarsData[19].info.info.colEnd = 36;
  modelData->realVarsData[19].info.info.readonly = 0;
  modelData->realVarsData[19].attribute.unit = "W";
  modelData->realVarsData[19].attribute.displayUnit = "";
  modelData->realVarsData[19].attribute.min = -DBL_MAX;
  modelData->realVarsData[19].attribute.max = DBL_MAX;
  modelData->realVarsData[19].attribute.fixed = 0;
  modelData->realVarsData[19].attribute.useNominal = 0;
  modelData->realVarsData[19].attribute.nominal = 1.0;
  modelData->realVarsData[19].attribute.start = 0.0;
  modelData->realVarsData[20].info.id = 1020;
  modelData->realVarsData[20].info.name = "solarCollector.WConvWall[1]";
  modelData->realVarsData[20].info.comment = "Convection of the wall";
  modelData->realVarsData[20].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[20].info.info.lineStart = 49;
  modelData->realVarsData[20].info.info.colStart = 3;
  modelData->realVarsData[20].info.info.lineEnd = 50;
  modelData->realVarsData[20].info.info.colEnd = 29;
  modelData->realVarsData[20].info.info.readonly = 0;
  modelData->realVarsData[20].attribute.unit = "W";
  modelData->realVarsData[20].attribute.displayUnit = "";
  modelData->realVarsData[20].attribute.min = -DBL_MAX;
  modelData->realVarsData[20].attribute.max = DBL_MAX;
  modelData->realVarsData[20].attribute.fixed = 1;
  modelData->realVarsData[20].attribute.useNominal = 0;
  modelData->realVarsData[20].attribute.nominal = 1.0;
  modelData->realVarsData[20].attribute.start = 0.0;
  modelData->realVarsData[21].info.id = 1021;
  modelData->realVarsData[21].info.name = "solarCollector.WRadGlass[1]";
  modelData->realVarsData[21].info.comment = "Radiation of the glass layer";
  modelData->realVarsData[21].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[21].info.info.lineStart = 53;
  modelData->realVarsData[21].info.info.colStart = 3;
  modelData->realVarsData[21].info.info.lineEnd = 54;
  modelData->realVarsData[21].info.info.colEnd = 35;
  modelData->realVarsData[21].info.info.readonly = 0;
  modelData->realVarsData[21].attribute.unit = "W";
  modelData->realVarsData[21].attribute.displayUnit = "";
  modelData->realVarsData[21].attribute.min = -DBL_MAX;
  modelData->realVarsData[21].attribute.max = DBL_MAX;
  modelData->realVarsData[21].attribute.fixed = 0;
  modelData->realVarsData[21].attribute.useNominal = 0;
  modelData->realVarsData[21].attribute.nominal = 1.0;
  modelData->realVarsData[21].attribute.start = 0.0;
  modelData->realVarsData[22].info.id = 1022;
  modelData->realVarsData[22].info.name = "solarCollector.WRadWall[1]";
  modelData->realVarsData[22].info.comment = "Radiation of the wall";
  modelData->realVarsData[22].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[22].info.info.lineStart = 48;
  modelData->realVarsData[22].info.info.colStart = 3;
  modelData->realVarsData[22].info.info.lineEnd = 48;
  modelData->realVarsData[22].info.info.colEnd = 80;
  modelData->realVarsData[22].info.info.readonly = 0;
  modelData->realVarsData[22].attribute.unit = "W";
  modelData->realVarsData[22].attribute.displayUnit = "";
  modelData->realVarsData[22].attribute.min = -DBL_MAX;
  modelData->realVarsData[22].attribute.max = DBL_MAX;
  modelData->realVarsData[22].attribute.fixed = 0;
  modelData->realVarsData[22].attribute.useNominal = 0;
  modelData->realVarsData[22].attribute.nominal = 1.0;
  modelData->realVarsData[22].attribute.start = 0.0;
  modelData->realVarsData[23].info.id = 1023;
  modelData->realVarsData[23].info.name = "solarCollector.WTube[1]";
  modelData->realVarsData[23].info.comment = "Flux to the pipe";
  modelData->realVarsData[23].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[23].info.info.lineStart = 40;
  modelData->realVarsData[23].info.info.colStart = 3;
  modelData->realVarsData[23].info.info.lineEnd = 40;
  modelData->realVarsData[23].info.info.colEnd = 54;
  modelData->realVarsData[23].info.info.readonly = 0;
  modelData->realVarsData[23].attribute.unit = "";
  modelData->realVarsData[23].attribute.displayUnit = "";
  modelData->realVarsData[23].attribute.min = -DBL_MAX;
  modelData->realVarsData[23].attribute.max = DBL_MAX;
  modelData->realVarsData[23].attribute.fixed = 0;
  modelData->realVarsData[23].attribute.useNominal = 1;
  modelData->realVarsData[23].attribute.nominal = 300000.0;
  modelData->realVarsData[23].attribute.start = 0.0;
  modelData->realVarsData[24].info.id = 1024;
  modelData->realVarsData[24].info.name = "solarCollector.dM";
  modelData->realVarsData[24].info.comment = "Glass mass";
  modelData->realVarsData[24].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realVarsData[24].info.info.lineStart = 44;
  modelData->realVarsData[24].info.info.colStart = 3;
  modelData->realVarsData[24].info.info.lineEnd = 44;
  modelData->realVarsData[24].info.info.colEnd = 49;
  modelData->realVarsData[24].info.info.readonly = 0;
  modelData->realVarsData[24].attribute.unit = "kg";
  modelData->realVarsData[24].attribute.displayUnit = "";
  modelData->realVarsData[24].attribute.min = 0.0;
  modelData->realVarsData[24].attribute.max = DBL_MAX;
  modelData->realVarsData[24].attribute.fixed = 1;
  modelData->realVarsData[24].attribute.useNominal = 0;
  modelData->realVarsData[24].attribute.nominal = 1.0;
  modelData->realVarsData[24].attribute.start = 1.0;
  modelData->realParameterData[0].info.id = 1025;
  modelData->realParameterData[0].info.name = "$cse4";
  modelData->realParameterData[0].info.comment = "";
  modelData->realParameterData[0].info.info.filename = "";
  modelData->realParameterData[0].info.info.lineStart = 0;
  modelData->realParameterData[0].info.info.colStart = 0;
  modelData->realParameterData[0].info.info.lineEnd = 0;
  modelData->realParameterData[0].info.info.colEnd = 0;
  modelData->realParameterData[0].info.info.readonly = 0;
  modelData->realParameterData[0].attribute.unit = "";
  modelData->realParameterData[0].attribute.displayUnit = "";
  modelData->realParameterData[0].attribute.min = -DBL_MAX;
  modelData->realParameterData[0].attribute.max = DBL_MAX;
  modelData->realParameterData[0].attribute.fixed = 1;
  modelData->realParameterData[0].attribute.useNominal = 0;
  modelData->realParameterData[0].attribute.nominal = 1.0;
  modelData->realParameterData[0].attribute.start = 0.0;
  modelData->realParameterData[1].info.id = 1026;
  modelData->realParameterData[1].info.name = "$cse5";
  modelData->realParameterData[1].info.comment = "";
  modelData->realParameterData[1].info.info.filename = "";
  modelData->realParameterData[1].info.info.lineStart = 0;
  modelData->realParameterData[1].info.info.colStart = 0;
  modelData->realParameterData[1].info.info.lineEnd = 0;
  modelData->realParameterData[1].info.info.colEnd = 0;
  modelData->realParameterData[1].info.info.readonly = 0;
  modelData->realParameterData[1].attribute.unit = "";
  modelData->realParameterData[1].attribute.displayUnit = "";
  modelData->realParameterData[1].attribute.min = -DBL_MAX;
  modelData->realParameterData[1].attribute.max = DBL_MAX;
  modelData->realParameterData[1].attribute.fixed = 1;
  modelData->realParameterData[1].attribute.useNominal = 0;
  modelData->realParameterData[1].attribute.nominal = 1.0;
  modelData->realParameterData[1].attribute.start = 0.0;
  modelData->realParameterData[2].info.id = 1027;
  modelData->realParameterData[2].info.name = "$cse6";
  modelData->realParameterData[2].info.comment = "";
  modelData->realParameterData[2].info.info.filename = "";
  modelData->realParameterData[2].info.info.lineStart = 0;
  modelData->realParameterData[2].info.info.colStart = 0;
  modelData->realParameterData[2].info.info.lineEnd = 0;
  modelData->realParameterData[2].info.info.colEnd = 0;
  modelData->realParameterData[2].info.info.readonly = 0;
  modelData->realParameterData[2].attribute.unit = "";
  modelData->realParameterData[2].attribute.displayUnit = "";
  modelData->realParameterData[2].attribute.min = -DBL_MAX;
  modelData->realParameterData[2].attribute.max = DBL_MAX;
  modelData->realParameterData[2].attribute.fixed = 1;
  modelData->realParameterData[2].attribute.useNominal = 0;
  modelData->realParameterData[2].attribute.nominal = 1.0;
  modelData->realParameterData[2].attribute.start = 0.0;
  modelData->realParameterData[3].info.id = 1028;
  modelData->realParameterData[3].info.name = "L";
  modelData->realParameterData[3].info.comment = "";
  modelData->realParameterData[3].info.info.filename = "C:/Users/marion/Documents/OM_WD/Solar.mo";
  modelData->realParameterData[3].info.info.lineStart = 2;
  modelData->realParameterData[3].info.info.colStart = 3;
  modelData->realParameterData[3].info.info.lineEnd = 2;
  modelData->realParameterData[3].info.info.colEnd = 46;
  modelData->realParameterData[3].info.info.readonly = 0;
  modelData->realParameterData[3].attribute.unit = "m";
  modelData->realParameterData[3].attribute.displayUnit = "";
  modelData->realParameterData[3].attribute.min = 0.0;
  modelData->realParameterData[3].attribute.max = DBL_MAX;
  modelData->realParameterData[3].attribute.fixed = 1;
  modelData->realParameterData[3].attribute.useNominal = 0;
  modelData->realParameterData[3].attribute.nominal = 1.0;
  modelData->realParameterData[3].attribute.start = 450.0;
  modelData->realParameterData[4].info.id = 1029;
  modelData->realParameterData[4].info.name = "Paroi3.D";
  modelData->realParameterData[4].info.comment = "Internal tube diameter";
  modelData->realParameterData[4].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[4].info.info.lineStart = 4;
  modelData->realParameterData[4].info.info.colStart = 3;
  modelData->realParameterData[4].info.info.lineEnd = 4;
  modelData->realParameterData[4].info.info.colEnd = 69;
  modelData->realParameterData[4].info.info.readonly = 0;
  modelData->realParameterData[4].attribute.unit = "m";
  modelData->realParameterData[4].attribute.displayUnit = "";
  modelData->realParameterData[4].attribute.min = 0.0;
  modelData->realParameterData[4].attribute.max = DBL_MAX;
  modelData->realParameterData[4].attribute.fixed = 1;
  modelData->realParameterData[4].attribute.useNominal = 0;
  modelData->realParameterData[4].attribute.nominal = 1.0;
  modelData->realParameterData[4].attribute.start = 0.06;
  modelData->realParameterData[5].info.id = 1030;
  modelData->realParameterData[5].info.name = "Paroi3.L";
  modelData->realParameterData[5].info.comment = "Tube length";
  modelData->realParameterData[5].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[5].info.info.lineStart = 3;
  modelData->realParameterData[5].info.info.colStart = 3;
  modelData->realParameterData[5].info.info.lineEnd = 3;
  modelData->realParameterData[5].info.info.colEnd = 54;
  modelData->realParameterData[5].info.info.readonly = 0;
  modelData->realParameterData[5].attribute.unit = "m";
  modelData->realParameterData[5].attribute.displayUnit = "";
  modelData->realParameterData[5].attribute.min = -DBL_MAX;
  modelData->realParameterData[5].attribute.max = DBL_MAX;
  modelData->realParameterData[5].attribute.fixed = 1;
  modelData->realParameterData[5].attribute.useNominal = 0;
  modelData->realParameterData[5].attribute.nominal = 1.0;
  modelData->realParameterData[5].attribute.start = 0.0;
  modelData->realParameterData[6].info.id = 1031;
  modelData->realParameterData[6].info.name = "Paroi3.T0";
  modelData->realParameterData[6].info.comment = "Initial temperature (active if steady_state=false)";
  modelData->realParameterData[6].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[6].info.info.lineStart = 12;
  modelData->realParameterData[6].info.info.colStart = 3;
  modelData->realParameterData[6].info.info.lineEnd = 13;
  modelData->realParameterData[6].info.info.colEnd = 57;
  modelData->realParameterData[6].info.info.readonly = 0;
  modelData->realParameterData[6].attribute.unit = "K";
  modelData->realParameterData[6].attribute.displayUnit = "degC";
  modelData->realParameterData[6].attribute.min = 0.0;
  modelData->realParameterData[6].attribute.max = DBL_MAX;
  modelData->realParameterData[6].attribute.fixed = 1;
  modelData->realParameterData[6].attribute.useNominal = 1;
  modelData->realParameterData[6].attribute.nominal = 300.0;
  modelData->realParameterData[6].attribute.start = 350.0;
  modelData->realParameterData[7].info.id = 1032;
  modelData->realParameterData[7].info.name = "Paroi3.Tp1[1]";
  modelData->realParameterData[7].info.comment = "Wall temperature in section i of side 1";
  modelData->realParameterData[7].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[7].info.info.lineStart = 29;
  modelData->realParameterData[7].info.info.colStart = 3;
  modelData->realParameterData[7].info.info.lineEnd = 30;
  modelData->realParameterData[7].info.info.colEnd = 46;
  modelData->realParameterData[7].info.info.readonly = 0;
  modelData->realParameterData[7].attribute.unit = "K";
  modelData->realParameterData[7].attribute.displayUnit = "degC";
  modelData->realParameterData[7].attribute.min = 0.0;
  modelData->realParameterData[7].attribute.max = DBL_MAX;
  modelData->realParameterData[7].attribute.fixed = 1;
  modelData->realParameterData[7].attribute.useNominal = 1;
  modelData->realParameterData[7].attribute.nominal = 300.0;
  modelData->realParameterData[7].attribute.start = 0.0;
  modelData->realParameterData[8].info.id = 1033;
  modelData->realParameterData[8].info.name = "Paroi3.WT1[1].T";
  modelData->realParameterData[8].info.comment = "Temperature";
  modelData->realParameterData[8].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/Connectors.mo";
  modelData->realParameterData[8].info.info.lineStart = 4;
  modelData->realParameterData[8].info.info.colStart = 5;
  modelData->realParameterData[8].info.info.lineEnd = 4;
  modelData->realParameterData[8].info.info.colEnd = 49;
  modelData->realParameterData[8].info.info.readonly = 0;
  modelData->realParameterData[8].attribute.unit = "K";
  modelData->realParameterData[8].attribute.displayUnit = "degC";
  modelData->realParameterData[8].attribute.min = 0.0;
  modelData->realParameterData[8].attribute.max = DBL_MAX;
  modelData->realParameterData[8].attribute.fixed = 1;
  modelData->realParameterData[8].attribute.useNominal = 1;
  modelData->realParameterData[8].attribute.nominal = 300.0;
  modelData->realParameterData[8].attribute.start = 0.0;
  modelData->realParameterData[9].info.id = 1034;
  modelData->realParameterData[9].info.name = "Paroi3.cpw";
  modelData->realParameterData[9].info.comment = "Wall specific heat capacity";
  modelData->realParameterData[9].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[9].info.info.lineStart = 9;
  modelData->realParameterData[9].info.info.colStart = 3;
  modelData->realParameterData[9].info.info.lineEnd = 10;
  modelData->realParameterData[9].info.info.colEnd = 34;
  modelData->realParameterData[9].info.info.readonly = 0;
  modelData->realParameterData[9].attribute.unit = "J/(kg.K)";
  modelData->realParameterData[9].attribute.displayUnit = "";
  modelData->realParameterData[9].attribute.min = -DBL_MAX;
  modelData->realParameterData[9].attribute.max = DBL_MAX;
  modelData->realParameterData[9].attribute.fixed = 1;
  modelData->realParameterData[9].attribute.useNominal = 0;
  modelData->realParameterData[9].attribute.nominal = 1.0;
  modelData->realParameterData[9].attribute.start = 1000.0;
  modelData->realParameterData[10].info.id = 1035;
  modelData->realParameterData[10].info.name = "Paroi3.dM";
  modelData->realParameterData[10].info.comment = "Wall section mass";
  modelData->realParameterData[10].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[10].info.info.lineStart = 21;
  modelData->realParameterData[10].info.info.colStart = 3;
  modelData->realParameterData[10].info.info.lineEnd = 22;
  modelData->realParameterData[10].info.info.colEnd = 24;
  modelData->realParameterData[10].info.info.readonly = 0;
  modelData->realParameterData[10].attribute.unit = "kg";
  modelData->realParameterData[10].attribute.displayUnit = "";
  modelData->realParameterData[10].attribute.min = 0.0;
  modelData->realParameterData[10].attribute.max = DBL_MAX;
  modelData->realParameterData[10].attribute.fixed = 1;
  modelData->realParameterData[10].attribute.useNominal = 0;
  modelData->realParameterData[10].attribute.nominal = 1.0;
  modelData->realParameterData[10].attribute.start = 0.0;
  modelData->realParameterData[11].info.id = 1036;
  modelData->realParameterData[11].info.name = "Paroi3.dx";
  modelData->realParameterData[11].info.comment = "Section length";
  modelData->realParameterData[11].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[11].info.info.lineStart = 20;
  modelData->realParameterData[11].info.info.colStart = 3;
  modelData->realParameterData[11].info.info.lineEnd = 20;
  modelData->realParameterData[11].info.info.colEnd = 61;
  modelData->realParameterData[11].info.info.readonly = 0;
  modelData->realParameterData[11].attribute.unit = "m";
  modelData->realParameterData[11].attribute.displayUnit = "";
  modelData->realParameterData[11].attribute.min = -DBL_MAX;
  modelData->realParameterData[11].attribute.max = DBL_MAX;
  modelData->realParameterData[11].attribute.fixed = 1;
  modelData->realParameterData[11].attribute.useNominal = 0;
  modelData->realParameterData[11].attribute.nominal = 1.0;
  modelData->realParameterData[11].attribute.start = 0.0;
  modelData->realParameterData[12].info.id = 1037;
  modelData->realParameterData[12].info.name = "Paroi3.e";
  modelData->realParameterData[12].info.comment = "Wall thickness";
  modelData->realParameterData[12].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[12].info.info.lineStart = 5;
  modelData->realParameterData[12].info.info.colStart = 3;
  modelData->realParameterData[12].info.info.lineEnd = 5;
  modelData->realParameterData[12].info.info.colEnd = 64;
  modelData->realParameterData[12].info.info.readonly = 0;
  modelData->realParameterData[12].attribute.unit = "m";
  modelData->realParameterData[12].attribute.displayUnit = "";
  modelData->realParameterData[12].attribute.min = 0.0;
  modelData->realParameterData[12].attribute.max = DBL_MAX;
  modelData->realParameterData[12].attribute.fixed = 1;
  modelData->realParameterData[12].attribute.useNominal = 0;
  modelData->realParameterData[12].attribute.nominal = 1.0;
  modelData->realParameterData[12].attribute.start = 0.006;
  modelData->realParameterData[13].info.id = 1038;
  modelData->realParameterData[13].info.name = "Paroi3.lambda";
  modelData->realParameterData[13].info.comment = "Wall thermal conductivity";
  modelData->realParameterData[13].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[13].info.info.lineStart = 6;
  modelData->realParameterData[13].info.info.colStart = 3;
  modelData->realParameterData[13].info.info.lineEnd = 7;
  modelData->realParameterData[13].info.info.colEnd = 32;
  modelData->realParameterData[13].info.info.readonly = 0;
  modelData->realParameterData[13].attribute.unit = "W/(m.K)";
  modelData->realParameterData[13].attribute.displayUnit = "";
  modelData->realParameterData[13].attribute.min = -DBL_MAX;
  modelData->realParameterData[13].attribute.max = DBL_MAX;
  modelData->realParameterData[13].attribute.fixed = 1;
  modelData->realParameterData[13].attribute.useNominal = 0;
  modelData->realParameterData[13].attribute.nominal = 1.0;
  modelData->realParameterData[13].attribute.start = 26.0;
  modelData->realParameterData[14].info.id = 1039;
  modelData->realParameterData[14].info.name = "Paroi3.ntubes";
  modelData->realParameterData[14].info.comment = "Number of pipes in parallel";
  modelData->realParameterData[14].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[14].info.info.lineStart = 16;
  modelData->realParameterData[14].info.info.colStart = 3;
  modelData->realParameterData[14].info.info.lineEnd = 16;
  modelData->realParameterData[14].info.info.colEnd = 56;
  modelData->realParameterData[14].info.info.readonly = 0;
  modelData->realParameterData[14].attribute.unit = "";
  modelData->realParameterData[14].attribute.displayUnit = "";
  modelData->realParameterData[14].attribute.min = -DBL_MAX;
  modelData->realParameterData[14].attribute.max = DBL_MAX;
  modelData->realParameterData[14].attribute.fixed = 1;
  modelData->realParameterData[14].attribute.useNominal = 0;
  modelData->realParameterData[14].attribute.nominal = 1.0;
  modelData->realParameterData[14].attribute.start = 1.0;
  modelData->realParameterData[15].info.id = 1040;
  modelData->realParameterData[15].info.name = "Paroi3.rhow";
  modelData->realParameterData[15].info.comment = "Wall density";
  modelData->realParameterData[15].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->realParameterData[15].info.info.lineStart = 11;
  modelData->realParameterData[15].info.info.colStart = 3;
  modelData->realParameterData[15].info.info.lineEnd = 11;
  modelData->realParameterData[15].info.info.colEnd = 62;
  modelData->realParameterData[15].info.info.readonly = 0;
  modelData->realParameterData[15].attribute.unit = "kg/m3";
  modelData->realParameterData[15].attribute.displayUnit = "g/cm3";
  modelData->realParameterData[15].attribute.min = 0.0;
  modelData->realParameterData[15].attribute.max = DBL_MAX;
  modelData->realParameterData[15].attribute.fixed = 1;
  modelData->realParameterData[15].attribute.useNominal = 0;
  modelData->realParameterData[15].attribute.nominal = 1.0;
  modelData->realParameterData[15].attribute.start = 7800.0;
  modelData->realParameterData[16].info.id = 1041;
  modelData->realParameterData[16].info.name = "T_atm.k";
  modelData->realParameterData[16].info.comment = "Valeur de la sortie";
  modelData->realParameterData[16].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Blocks/Sources/Constante.mo";
  modelData->realParameterData[16].info.info.lineStart = 3;
  modelData->realParameterData[16].info.info.colStart = 3;
  modelData->realParameterData[16].info.info.lineEnd = 3;
  modelData->realParameterData[16].info.info.colEnd = 43;
  modelData->realParameterData[16].info.info.readonly = 0;
  modelData->realParameterData[16].attribute.unit = "";
  modelData->realParameterData[16].attribute.displayUnit = "";
  modelData->realParameterData[16].attribute.min = -DBL_MAX;
  modelData->realParameterData[16].attribute.max = DBL_MAX;
  modelData->realParameterData[16].attribute.fixed = 1;
  modelData->realParameterData[16].attribute.useNominal = 0;
  modelData->realParameterData[16].attribute.nominal = 1.0;
  modelData->realParameterData[16].attribute.start = 300.0;
  modelData->realParameterData[17].info.id = 1042;
  modelData->realParameterData[17].info.name = "T_atm.y.signal";
  modelData->realParameterData[17].info.comment = "";
  modelData->realParameterData[17].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[17].info.info.lineStart = 171;
  modelData->realParameterData[17].info.info.colStart = 7;
  modelData->realParameterData[17].info.info.lineEnd = 171;
  modelData->realParameterData[17].info.info.colEnd = 25;
  modelData->realParameterData[17].info.info.readonly = 0;
  modelData->realParameterData[17].attribute.unit = "";
  modelData->realParameterData[17].attribute.displayUnit = "";
  modelData->realParameterData[17].attribute.min = -DBL_MAX;
  modelData->realParameterData[17].attribute.max = DBL_MAX;
  modelData->realParameterData[17].attribute.fixed = 1;
  modelData->realParameterData[17].attribute.useNominal = 0;
  modelData->realParameterData[17].attribute.nominal = 1.0;
  modelData->realParameterData[17].attribute.start = 0.0;
  modelData->realParameterData[18].info.id = 1043;
  modelData->realParameterData[18].info.name = "angle_incidence.k";
  modelData->realParameterData[18].info.comment = "Valeur de la sortie";
  modelData->realParameterData[18].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Blocks/Sources/Constante.mo";
  modelData->realParameterData[18].info.info.lineStart = 3;
  modelData->realParameterData[18].info.info.colStart = 3;
  modelData->realParameterData[18].info.info.lineEnd = 3;
  modelData->realParameterData[18].info.info.colEnd = 43;
  modelData->realParameterData[18].info.info.readonly = 0;
  modelData->realParameterData[18].attribute.unit = "";
  modelData->realParameterData[18].attribute.displayUnit = "";
  modelData->realParameterData[18].attribute.min = -DBL_MAX;
  modelData->realParameterData[18].attribute.max = DBL_MAX;
  modelData->realParameterData[18].attribute.fixed = 1;
  modelData->realParameterData[18].attribute.useNominal = 0;
  modelData->realParameterData[18].attribute.nominal = 1.0;
  modelData->realParameterData[18].attribute.start = 30.0;
  modelData->realParameterData[19].info.id = 1044;
  modelData->realParameterData[19].info.name = "angle_incidence.y.signal";
  modelData->realParameterData[19].info.comment = "";
  modelData->realParameterData[19].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[19].info.info.lineStart = 171;
  modelData->realParameterData[19].info.info.colStart = 7;
  modelData->realParameterData[19].info.info.lineEnd = 171;
  modelData->realParameterData[19].info.info.colEnd = 25;
  modelData->realParameterData[19].info.info.readonly = 0;
  modelData->realParameterData[19].attribute.unit = "";
  modelData->realParameterData[19].attribute.displayUnit = "";
  modelData->realParameterData[19].attribute.min = -DBL_MAX;
  modelData->realParameterData[19].attribute.max = DBL_MAX;
  modelData->realParameterData[19].attribute.fixed = 1;
  modelData->realParameterData[19].attribute.useNominal = 0;
  modelData->realParameterData[19].attribute.nominal = 1.0;
  modelData->realParameterData[19].attribute.start = 0.0;
  modelData->realParameterData[20].info.id = 1045;
  modelData->realParameterData[20].info.name = "heatSource.C[1].T";
  modelData->realParameterData[20].info.comment = "Temperature";
  modelData->realParameterData[20].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/Connectors.mo";
  modelData->realParameterData[20].info.info.lineStart = 4;
  modelData->realParameterData[20].info.info.colStart = 5;
  modelData->realParameterData[20].info.info.lineEnd = 4;
  modelData->realParameterData[20].info.info.colEnd = 49;
  modelData->realParameterData[20].info.info.readonly = 0;
  modelData->realParameterData[20].attribute.unit = "K";
  modelData->realParameterData[20].attribute.displayUnit = "degC";
  modelData->realParameterData[20].attribute.min = 0.0;
  modelData->realParameterData[20].attribute.max = DBL_MAX;
  modelData->realParameterData[20].attribute.fixed = 1;
  modelData->realParameterData[20].attribute.useNominal = 1;
  modelData->realParameterData[20].attribute.nominal = 300.0;
  modelData->realParameterData[20].attribute.start = 0.0;
  modelData->realParameterData[21].info.id = 1046;
  modelData->realParameterData[21].info.name = "heatSource.T0[1]";
  modelData->realParameterData[21].info.comment = "Source temperature (active if option_temperature=1)";
  modelData->realParameterData[21].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/BoundaryConditions/HeatSource.mo";
  modelData->realParameterData[21].info.info.lineStart = 3;
  modelData->realParameterData[21].info.info.colStart = 3;
  modelData->realParameterData[21].info.info.lineEnd = 4;
  modelData->realParameterData[21].info.info.colEnd = 58;
  modelData->realParameterData[21].info.info.readonly = 0;
  modelData->realParameterData[21].attribute.unit = "K";
  modelData->realParameterData[21].attribute.displayUnit = "K";
  modelData->realParameterData[21].attribute.min = 0.0;
  modelData->realParameterData[21].attribute.max = DBL_MAX;
  modelData->realParameterData[21].attribute.fixed = 1;
  modelData->realParameterData[21].attribute.useNominal = 1;
  modelData->realParameterData[21].attribute.nominal = 300.0;
  modelData->realParameterData[21].attribute.start = 300.0;
  modelData->realParameterData[22].info.id = 1047;
  modelData->realParameterData[22].info.name = "heatSource.W0[1]";
  modelData->realParameterData[22].info.comment = "Heat power emitted by the source (active if option_temperature=2)";
  modelData->realParameterData[22].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/BoundaryConditions/HeatSource.mo";
  modelData->realParameterData[22].info.info.lineStart = 5;
  modelData->realParameterData[22].info.info.colStart = 3;
  modelData->realParameterData[22].info.info.lineEnd = 6;
  modelData->realParameterData[22].info.info.colEnd = 72;
  modelData->realParameterData[22].info.info.readonly = 0;
  modelData->realParameterData[22].attribute.unit = "W";
  modelData->realParameterData[22].attribute.displayUnit = "";
  modelData->realParameterData[22].attribute.min = -DBL_MAX;
  modelData->realParameterData[22].attribute.max = DBL_MAX;
  modelData->realParameterData[22].attribute.fixed = 1;
  modelData->realParameterData[22].attribute.useNominal = 0;
  modelData->realParameterData[22].attribute.nominal = 1.0;
  modelData->realParameterData[22].attribute.start = 2000000.0;
  modelData->realParameterData[23].info.id = 1048;
  modelData->realParameterData[23].info.name = "radiation.k";
  modelData->realParameterData[23].info.comment = "Valeur de la sortie";
  modelData->realParameterData[23].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Blocks/Sources/Constante.mo";
  modelData->realParameterData[23].info.info.lineStart = 3;
  modelData->realParameterData[23].info.info.colStart = 3;
  modelData->realParameterData[23].info.info.lineEnd = 3;
  modelData->realParameterData[23].info.info.colEnd = 43;
  modelData->realParameterData[23].info.info.readonly = 0;
  modelData->realParameterData[23].attribute.unit = "";
  modelData->realParameterData[23].attribute.displayUnit = "";
  modelData->realParameterData[23].attribute.min = -DBL_MAX;
  modelData->realParameterData[23].attribute.max = DBL_MAX;
  modelData->realParameterData[23].attribute.fixed = 1;
  modelData->realParameterData[23].attribute.useNominal = 0;
  modelData->realParameterData[23].attribute.nominal = 1.0;
  modelData->realParameterData[23].attribute.start = 70.0;
  modelData->realParameterData[24].info.id = 1049;
  modelData->realParameterData[24].info.name = "radiation.y.signal";
  modelData->realParameterData[24].info.comment = "";
  modelData->realParameterData[24].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[24].info.info.lineStart = 171;
  modelData->realParameterData[24].info.info.colStart = 7;
  modelData->realParameterData[24].info.info.lineEnd = 171;
  modelData->realParameterData[24].info.info.colEnd = 25;
  modelData->realParameterData[24].info.info.readonly = 0;
  modelData->realParameterData[24].attribute.unit = "";
  modelData->realParameterData[24].attribute.displayUnit = "";
  modelData->realParameterData[24].attribute.min = -DBL_MAX;
  modelData->realParameterData[24].attribute.max = DBL_MAX;
  modelData->realParameterData[24].attribute.fixed = 1;
  modelData->realParameterData[24].attribute.useNominal = 0;
  modelData->realParameterData[24].attribute.nominal = 1.0;
  modelData->realParameterData[24].attribute.start = 0.0;
  modelData->realParameterData[25].info.id = 1050;
  modelData->realParameterData[25].info.name = "solarCollector.AlphaGlass";
  modelData->realParameterData[25].info.comment = "Glass absorptivity at normal incidence";
  modelData->realParameterData[25].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[25].info.info.lineStart = 13;
  modelData->realParameterData[25].info.info.colStart = 3;
  modelData->realParameterData[25].info.info.lineEnd = 13;
  modelData->realParameterData[25].info.info.colEnd = 74;
  modelData->realParameterData[25].info.info.readonly = 0;
  modelData->realParameterData[25].attribute.unit = "";
  modelData->realParameterData[25].attribute.displayUnit = "";
  modelData->realParameterData[25].attribute.min = -DBL_MAX;
  modelData->realParameterData[25].attribute.max = DBL_MAX;
  modelData->realParameterData[25].attribute.fixed = 1;
  modelData->realParameterData[25].attribute.useNominal = 0;
  modelData->realParameterData[25].attribute.nominal = 1.0;
  modelData->realParameterData[25].attribute.start = 0.0302;
  modelData->realParameterData[26].info.id = 1051;
  modelData->realParameterData[26].info.name = "solarCollector.AlphaN";
  modelData->realParameterData[26].info.comment = "Tube absorptivity at normal incidence";
  modelData->realParameterData[26].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[26].info.info.lineStart = 12;
  modelData->realParameterData[26].info.info.colStart = 3;
  modelData->realParameterData[26].info.info.lineEnd = 12;
  modelData->realParameterData[26].info.info.colEnd = 69;
  modelData->realParameterData[26].info.info.readonly = 0;
  modelData->realParameterData[26].attribute.unit = "";
  modelData->realParameterData[26].attribute.displayUnit = "";
  modelData->realParameterData[26].attribute.min = -DBL_MAX;
  modelData->realParameterData[26].attribute.max = DBL_MAX;
  modelData->realParameterData[26].attribute.fixed = 1;
  modelData->realParameterData[26].attribute.useNominal = 0;
  modelData->realParameterData[26].attribute.nominal = 1.0;
  modelData->realParameterData[26].attribute.start = 0.96;
  modelData->realParameterData[27].info.id = 1052;
  modelData->realParameterData[27].info.name = "solarCollector.AtmTemp.signal";
  modelData->realParameterData[27].info.comment = "";
  modelData->realParameterData[27].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[27].info.info.lineStart = 52;
  modelData->realParameterData[27].info.info.colStart = 5;
  modelData->realParameterData[27].info.info.lineEnd = 52;
  modelData->realParameterData[27].info.info.colEnd = 22;
  modelData->realParameterData[27].info.info.readonly = 0;
  modelData->realParameterData[27].attribute.unit = "";
  modelData->realParameterData[27].attribute.displayUnit = "";
  modelData->realParameterData[27].attribute.min = -DBL_MAX;
  modelData->realParameterData[27].attribute.max = DBL_MAX;
  modelData->realParameterData[27].attribute.fixed = 1;
  modelData->realParameterData[27].attribute.useNominal = 0;
  modelData->realParameterData[27].attribute.nominal = 1.0;
  modelData->realParameterData[27].attribute.start = 0.0;
  modelData->realParameterData[28].info.id = 1053;
  modelData->realParameterData[28].info.name = "solarCollector.DGlass";
  modelData->realParameterData[28].info.comment = "Glass diameter";
  modelData->realParameterData[28].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[28].info.info.lineStart = 8;
  modelData->realParameterData[28].info.info.colStart = 3;
  modelData->realParameterData[28].info.info.lineEnd = 8;
  modelData->realParameterData[28].info.info.colEnd = 67;
  modelData->realParameterData[28].info.info.readonly = 0;
  modelData->realParameterData[28].attribute.unit = "m";
  modelData->realParameterData[28].attribute.displayUnit = "";
  modelData->realParameterData[28].attribute.min = 0.0;
  modelData->realParameterData[28].attribute.max = DBL_MAX;
  modelData->realParameterData[28].attribute.fixed = 1;
  modelData->realParameterData[28].attribute.useNominal = 0;
  modelData->realParameterData[28].attribute.nominal = 1.0;
  modelData->realParameterData[28].attribute.start = 0.115;
  modelData->realParameterData[29].info.id = 1054;
  modelData->realParameterData[29].info.name = "solarCollector.DTube";
  modelData->realParameterData[29].info.comment = "Tube diameter";
  modelData->realParameterData[29].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[29].info.info.lineStart = 7;
  modelData->realParameterData[29].info.info.colStart = 3;
  modelData->realParameterData[29].info.info.lineEnd = 7;
  modelData->realParameterData[29].info.info.colEnd = 64;
  modelData->realParameterData[29].info.info.readonly = 0;
  modelData->realParameterData[29].attribute.unit = "m";
  modelData->realParameterData[29].attribute.displayUnit = "";
  modelData->realParameterData[29].attribute.min = 0.0;
  modelData->realParameterData[29].attribute.max = DBL_MAX;
  modelData->realParameterData[29].attribute.fixed = 1;
  modelData->realParameterData[29].attribute.useNominal = 0;
  modelData->realParameterData[29].attribute.nominal = 1.0;
  modelData->realParameterData[29].attribute.start = 0.07000000000000001;
  modelData->realParameterData[30].info.id = 1055;
  modelData->realParameterData[30].info.name = "solarCollector.EpsGlass";
  modelData->realParameterData[30].info.comment = "Glass emissivity";
  modelData->realParameterData[30].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[30].info.info.lineStart = 15;
  modelData->realParameterData[30].info.info.colStart = 3;
  modelData->realParameterData[30].info.info.lineEnd = 15;
  modelData->realParameterData[30].info.info.colEnd = 50;
  modelData->realParameterData[30].info.info.readonly = 0;
  modelData->realParameterData[30].attribute.unit = "";
  modelData->realParameterData[30].attribute.displayUnit = "";
  modelData->realParameterData[30].attribute.min = -DBL_MAX;
  modelData->realParameterData[30].attribute.max = DBL_MAX;
  modelData->realParameterData[30].attribute.fixed = 1;
  modelData->realParameterData[30].attribute.useNominal = 0;
  modelData->realParameterData[30].attribute.nominal = 1.0;
  modelData->realParameterData[30].attribute.start = 0.86;
  modelData->realParameterData[31].info.id = 1056;
  modelData->realParameterData[31].info.name = "solarCollector.EpsTube";
  modelData->realParameterData[31].info.comment = "Tube emissivity";
  modelData->realParameterData[31].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[31].info.info.lineStart = 14;
  modelData->realParameterData[31].info.info.colStart = 3;
  modelData->realParameterData[31].info.info.lineEnd = 14;
  modelData->realParameterData[31].info.info.colEnd = 48;
  modelData->realParameterData[31].info.info.readonly = 0;
  modelData->realParameterData[31].attribute.unit = "";
  modelData->realParameterData[31].attribute.displayUnit = "";
  modelData->realParameterData[31].attribute.min = -DBL_MAX;
  modelData->realParameterData[31].attribute.max = DBL_MAX;
  modelData->realParameterData[31].attribute.fixed = 1;
  modelData->realParameterData[31].attribute.useNominal = 0;
  modelData->realParameterData[31].attribute.nominal = 1.0;
  modelData->realParameterData[31].attribute.start = 0.14;
  modelData->realParameterData[32].info.id = 1057;
  modelData->realParameterData[32].info.name = "solarCollector.F12";
  modelData->realParameterData[32].info.comment = "View factor to surroundings,radiation heat loss";
  modelData->realParameterData[32].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[32].info.info.lineStart = 10;
  modelData->realParameterData[32].info.info.colStart = 3;
  modelData->realParameterData[32].info.info.lineEnd = 10;
  modelData->realParameterData[32].info.info.colEnd = 73;
  modelData->realParameterData[32].info.info.readonly = 0;
  modelData->realParameterData[32].attribute.unit = "";
  modelData->realParameterData[32].attribute.displayUnit = "";
  modelData->realParameterData[32].attribute.min = -DBL_MAX;
  modelData->realParameterData[32].attribute.max = DBL_MAX;
  modelData->realParameterData[32].attribute.fixed = 1;
  modelData->realParameterData[32].attribute.useNominal = 0;
  modelData->realParameterData[32].attribute.nominal = 1.0;
  modelData->realParameterData[32].attribute.start = 1.0;
  modelData->realParameterData[33].info.id = 1058;
  modelData->realParameterData[33].info.name = "solarCollector.Gamma";
  modelData->realParameterData[33].info.comment = "Intercept factor";
  modelData->realParameterData[33].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[33].info.info.lineStart = 17;
  modelData->realParameterData[33].info.info.colStart = 3;
  modelData->realParameterData[33].info.info.lineEnd = 17;
  modelData->realParameterData[33].info.info.colEnd = 47;
  modelData->realParameterData[33].info.info.readonly = 0;
  modelData->realParameterData[33].attribute.unit = "";
  modelData->realParameterData[33].attribute.displayUnit = "";
  modelData->realParameterData[33].attribute.min = -DBL_MAX;
  modelData->realParameterData[33].attribute.max = DBL_MAX;
  modelData->realParameterData[33].attribute.fixed = 1;
  modelData->realParameterData[33].attribute.useNominal = 0;
  modelData->realParameterData[33].attribute.nominal = 1.0;
  modelData->realParameterData[33].attribute.start = 0.83;
  modelData->realParameterData[34].info.id = 1059;
  modelData->realParameterData[34].info.name = "solarCollector.ISun.signal";
  modelData->realParameterData[34].info.comment = "";
  modelData->realParameterData[34].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[34].info.info.lineStart = 52;
  modelData->realParameterData[34].info.info.colStart = 5;
  modelData->realParameterData[34].info.info.lineEnd = 52;
  modelData->realParameterData[34].info.info.colEnd = 22;
  modelData->realParameterData[34].info.info.readonly = 0;
  modelData->realParameterData[34].attribute.unit = "";
  modelData->realParameterData[34].attribute.displayUnit = "";
  modelData->realParameterData[34].attribute.min = -DBL_MAX;
  modelData->realParameterData[34].attribute.max = DBL_MAX;
  modelData->realParameterData[34].attribute.fixed = 1;
  modelData->realParameterData[34].attribute.useNominal = 0;
  modelData->realParameterData[34].attribute.nominal = 1.0;
  modelData->realParameterData[34].attribute.start = 0.0;
  modelData->realParameterData[35].info.id = 1060;
  modelData->realParameterData[35].info.name = "solarCollector.IncidenceAngle.signal";
  modelData->realParameterData[35].info.comment = "";
  modelData->realParameterData[35].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/InstrumentationAndControl/Connectors.mo";
  modelData->realParameterData[35].info.info.lineStart = 52;
  modelData->realParameterData[35].info.info.colStart = 5;
  modelData->realParameterData[35].info.info.lineEnd = 52;
  modelData->realParameterData[35].info.info.colEnd = 22;
  modelData->realParameterData[35].info.info.readonly = 0;
  modelData->realParameterData[35].attribute.unit = "";
  modelData->realParameterData[35].attribute.displayUnit = "";
  modelData->realParameterData[35].attribute.min = -DBL_MAX;
  modelData->realParameterData[35].attribute.max = DBL_MAX;
  modelData->realParameterData[35].attribute.fixed = 1;
  modelData->realParameterData[35].attribute.useNominal = 0;
  modelData->realParameterData[35].attribute.nominal = 1.0;
  modelData->realParameterData[35].attribute.start = 0.0;
  modelData->realParameterData[36].info.id = 1061;
  modelData->realParameterData[36].info.name = "solarCollector.L";
  modelData->realParameterData[36].info.comment = "Absorber pipe length or collector length";
  modelData->realParameterData[36].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[36].info.info.lineStart = 5;
  modelData->realParameterData[36].info.info.colStart = 3;
  modelData->realParameterData[36].info.info.lineEnd = 5;
  modelData->realParameterData[36].info.info.colEnd = 83;
  modelData->realParameterData[36].info.info.readonly = 0;
  modelData->realParameterData[36].attribute.unit = "m";
  modelData->realParameterData[36].attribute.displayUnit = "";
  modelData->realParameterData[36].attribute.min = -DBL_MAX;
  modelData->realParameterData[36].attribute.max = DBL_MAX;
  modelData->realParameterData[36].attribute.fixed = 1;
  modelData->realParameterData[36].attribute.useNominal = 0;
  modelData->realParameterData[36].attribute.nominal = 1.0;
  modelData->realParameterData[36].attribute.start = 0.0;
  modelData->realParameterData[37].info.id = 1062;
  modelData->realParameterData[37].info.name = "solarCollector.Lambda";
  modelData->realParameterData[37].info.comment = "Gas thermal conductivity";
  modelData->realParameterData[37].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[37].info.info.lineStart = 18;
  modelData->realParameterData[37].info.info.colStart = 3;
  modelData->realParameterData[37].info.info.lineEnd = 19;
  modelData->realParameterData[37].info.info.colEnd = 31;
  modelData->realParameterData[37].info.info.readonly = 0;
  modelData->realParameterData[37].attribute.unit = "W/(m.K)";
  modelData->realParameterData[37].attribute.displayUnit = "";
  modelData->realParameterData[37].attribute.min = -DBL_MAX;
  modelData->realParameterData[37].attribute.max = DBL_MAX;
  modelData->realParameterData[37].attribute.fixed = 1;
  modelData->realParameterData[37].attribute.useNominal = 0;
  modelData->realParameterData[37].attribute.nominal = 1.0;
  modelData->realParameterData[37].attribute.start = 0.0289;
  modelData->realParameterData[38].info.id = 1063;
  modelData->realParameterData[38].info.name = "solarCollector.PhiSun";
  modelData->realParameterData[38].info.comment = "Radiation flux";
  modelData->realParameterData[38].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[38].info.info.lineStart = 35;
  modelData->realParameterData[38].info.info.colStart = 3;
  modelData->realParameterData[38].info.info.lineEnd = 35;
  modelData->realParameterData[38].info.info.colEnd = 40;
  modelData->realParameterData[38].info.info.readonly = 0;
  modelData->realParameterData[38].attribute.unit = "";
  modelData->realParameterData[38].attribute.displayUnit = "";
  modelData->realParameterData[38].attribute.min = -DBL_MAX;
  modelData->realParameterData[38].attribute.max = DBL_MAX;
  modelData->realParameterData[38].attribute.fixed = 1;
  modelData->realParameterData[38].attribute.useNominal = 0;
  modelData->realParameterData[38].attribute.nominal = 1.0;
  modelData->realParameterData[38].attribute.start = 0.0;
  modelData->realParameterData[39].info.id = 1064;
  modelData->realParameterData[39].info.name = "solarCollector.R";
  modelData->realParameterData[39].info.comment = "Mirror reflectivity";
  modelData->realParameterData[39].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[39].info.info.lineStart = 16;
  modelData->realParameterData[39].info.info.colStart = 3;
  modelData->realParameterData[39].info.info.lineEnd = 16;
  modelData->realParameterData[39].info.info.colEnd = 45;
  modelData->realParameterData[39].info.info.readonly = 0;
  modelData->realParameterData[39].attribute.unit = "";
  modelData->realParameterData[39].attribute.displayUnit = "";
  modelData->realParameterData[39].attribute.min = -DBL_MAX;
  modelData->realParameterData[39].attribute.max = DBL_MAX;
  modelData->realParameterData[39].attribute.fixed = 1;
  modelData->realParameterData[39].attribute.useNominal = 0;
  modelData->realParameterData[39].attribute.nominal = 1.0;
  modelData->realParameterData[39].attribute.start = 0.93;
  modelData->realParameterData[40].info.id = 1065;
  modelData->realParameterData[40].info.name = "solarCollector.RimAngle";
  modelData->realParameterData[40].info.comment = "Rim Angle";
  modelData->realParameterData[40].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[40].info.info.lineStart = 4;
  modelData->realParameterData[40].info.info.colStart = 3;
  modelData->realParameterData[40].info.info.lineEnd = 4;
  modelData->realParameterData[40].info.info.colEnd = 41;
  modelData->realParameterData[40].info.info.readonly = 0;
  modelData->realParameterData[40].attribute.unit = "";
  modelData->realParameterData[40].attribute.displayUnit = "";
  modelData->realParameterData[40].attribute.min = -DBL_MAX;
  modelData->realParameterData[40].attribute.max = DBL_MAX;
  modelData->realParameterData[40].attribute.fixed = 1;
  modelData->realParameterData[40].attribute.useNominal = 0;
  modelData->realParameterData[40].attribute.nominal = 1.0;
  modelData->realParameterData[40].attribute.start = 70.0;
  modelData->realParameterData[41].info.id = 1066;
  modelData->realParameterData[41].info.name = "solarCollector.T0";
  modelData->realParameterData[41].info.comment = "Initial temperature (active if steady_state=false)";
  modelData->realParameterData[41].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[41].info.info.lineStart = 25;
  modelData->realParameterData[41].info.info.colStart = 3;
  modelData->realParameterData[41].info.info.lineEnd = 26;
  modelData->realParameterData[41].info.info.colEnd = 57;
  modelData->realParameterData[41].info.info.readonly = 0;
  modelData->realParameterData[41].attribute.unit = "K";
  modelData->realParameterData[41].attribute.displayUnit = "degC";
  modelData->realParameterData[41].attribute.min = 0.0;
  modelData->realParameterData[41].attribute.max = DBL_MAX;
  modelData->realParameterData[41].attribute.fixed = 1;
  modelData->realParameterData[41].attribute.useNominal = 1;
  modelData->realParameterData[41].attribute.nominal = 300.0;
  modelData->realParameterData[41].attribute.start = 350.0;
  modelData->realParameterData[42].info.id = 1067;
  modelData->realParameterData[42].info.name = "solarCollector.Tatm";
  modelData->realParameterData[42].info.comment = "Atmospheric temperature";
  modelData->realParameterData[42].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[42].info.info.lineStart = 39;
  modelData->realParameterData[42].info.info.colStart = 3;
  modelData->realParameterData[42].info.info.lineEnd = 39;
  modelData->realParameterData[42].info.info.colEnd = 73;
  modelData->realParameterData[42].info.info.readonly = 0;
  modelData->realParameterData[42].attribute.unit = "K";
  modelData->realParameterData[42].attribute.displayUnit = "K";
  modelData->realParameterData[42].attribute.min = 0.0;
  modelData->realParameterData[42].attribute.max = DBL_MAX;
  modelData->realParameterData[42].attribute.fixed = 1;
  modelData->realParameterData[42].attribute.useNominal = 1;
  modelData->realParameterData[42].attribute.nominal = 300.0;
  modelData->realParameterData[42].attribute.start = 0.0;
  modelData->realParameterData[43].info.id = 1068;
  modelData->realParameterData[43].info.name = "solarCollector.TauN";
  modelData->realParameterData[43].info.comment = "Glass transmittivity at normal incidence";
  modelData->realParameterData[43].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[43].info.info.lineStart = 11;
  modelData->realParameterData[43].info.info.colStart = 3;
  modelData->realParameterData[43].info.info.lineEnd = 11;
  modelData->realParameterData[43].info.info.colEnd = 70;
  modelData->realParameterData[43].info.info.readonly = 0;
  modelData->realParameterData[43].attribute.unit = "";
  modelData->realParameterData[43].attribute.displayUnit = "";
  modelData->realParameterData[43].attribute.min = -DBL_MAX;
  modelData->realParameterData[43].attribute.max = DBL_MAX;
  modelData->realParameterData[43].attribute.fixed = 1;
  modelData->realParameterData[43].attribute.useNominal = 0;
  modelData->realParameterData[43].attribute.nominal = 1.0;
  modelData->realParameterData[43].attribute.start = 0.95;
  modelData->realParameterData[44].info.id = 1069;
  modelData->realParameterData[44].info.name = "solarCollector.Theta";
  modelData->realParameterData[44].info.comment = "Incidence angle";
  modelData->realParameterData[44].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[44].info.info.lineStart = 36;
  modelData->realParameterData[44].info.info.colStart = 3;
  modelData->realParameterData[44].info.info.lineEnd = 36;
  modelData->realParameterData[44].info.info.colEnd = 40;
  modelData->realParameterData[44].info.info.readonly = 0;
  modelData->realParameterData[44].attribute.unit = "";
  modelData->realParameterData[44].attribute.displayUnit = "";
  modelData->realParameterData[44].attribute.min = -DBL_MAX;
  modelData->realParameterData[44].attribute.max = DBL_MAX;
  modelData->realParameterData[44].attribute.fixed = 1;
  modelData->realParameterData[44].attribute.useNominal = 0;
  modelData->realParameterData[44].attribute.nominal = 1.0;
  modelData->realParameterData[44].attribute.start = 0.0;
  modelData->realParameterData[45].info.id = 1070;
  modelData->realParameterData[45].info.name = "solarCollector.cp_glass";
  modelData->realParameterData[45].info.comment = "Glass heat capacity";
  modelData->realParameterData[45].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[45].info.info.lineStart = 22;
  modelData->realParameterData[45].info.info.colStart = 3;
  modelData->realParameterData[45].info.info.lineEnd = 23;
  modelData->realParameterData[45].info.info.colEnd = 26;
  modelData->realParameterData[45].info.info.readonly = 0;
  modelData->realParameterData[45].attribute.unit = "J/(kg.K)";
  modelData->realParameterData[45].attribute.displayUnit = "";
  modelData->realParameterData[45].attribute.min = -DBL_MAX;
  modelData->realParameterData[45].attribute.max = DBL_MAX;
  modelData->realParameterData[45].attribute.fixed = 1;
  modelData->realParameterData[45].attribute.useNominal = 0;
  modelData->realParameterData[45].attribute.nominal = 1.0;
  modelData->realParameterData[45].attribute.start = 720.0;
  modelData->realParameterData[46].info.id = 1071;
  modelData->realParameterData[46].info.name = "solarCollector.e";
  modelData->realParameterData[46].info.comment = "Glass thickness";
  modelData->realParameterData[46].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[46].info.info.lineStart = 9;
  modelData->realParameterData[46].info.info.colStart = 3;
  modelData->realParameterData[46].info.info.lineEnd = 9;
  modelData->realParameterData[46].info.info.colEnd = 62;
  modelData->realParameterData[46].info.info.readonly = 0;
  modelData->realParameterData[46].attribute.unit = "m";
  modelData->realParameterData[46].attribute.displayUnit = "";
  modelData->realParameterData[46].attribute.min = -DBL_MAX;
  modelData->realParameterData[46].attribute.max = DBL_MAX;
  modelData->realParameterData[46].attribute.fixed = 1;
  modelData->realParameterData[46].attribute.useNominal = 0;
  modelData->realParameterData[46].attribute.nominal = 1.0;
  modelData->realParameterData[46].attribute.start = 0.001;
  modelData->realParameterData[47].info.id = 1072;
  modelData->realParameterData[47].info.name = "solarCollector.f";
  modelData->realParameterData[47].info.comment = "Focal length";
  modelData->realParameterData[47].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[47].info.info.lineStart = 3;
  modelData->realParameterData[47].info.info.colStart = 3;
  modelData->realParameterData[47].info.info.lineEnd = 3;
  modelData->realParameterData[47].info.info.colEnd = 55;
  modelData->realParameterData[47].info.info.readonly = 0;
  modelData->realParameterData[47].attribute.unit = "m";
  modelData->realParameterData[47].attribute.displayUnit = "";
  modelData->realParameterData[47].attribute.min = -DBL_MAX;
  modelData->realParameterData[47].attribute.max = DBL_MAX;
  modelData->realParameterData[47].attribute.fixed = 1;
  modelData->realParameterData[47].attribute.useNominal = 0;
  modelData->realParameterData[47].attribute.nominal = 1.0;
  modelData->realParameterData[47].attribute.start = 1.79;
  modelData->realParameterData[48].info.id = 1073;
  modelData->realParameterData[48].info.name = "solarCollector.h";
  modelData->realParameterData[48].info.comment = "Heat transfer coefficient";
  modelData->realParameterData[48].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[48].info.info.lineStart = 20;
  modelData->realParameterData[48].info.info.colStart = 3;
  modelData->realParameterData[48].info.info.lineEnd = 21;
  modelData->realParameterData[48].info.info.colEnd = 32;
  modelData->realParameterData[48].info.info.readonly = 0;
  modelData->realParameterData[48].attribute.unit = "W/(m2.K)";
  modelData->realParameterData[48].attribute.displayUnit = "";
  modelData->realParameterData[48].attribute.min = -DBL_MAX;
  modelData->realParameterData[48].attribute.max = DBL_MAX;
  modelData->realParameterData[48].attribute.fixed = 1;
  modelData->realParameterData[48].attribute.useNominal = 0;
  modelData->realParameterData[48].attribute.nominal = 1.0;
  modelData->realParameterData[48].attribute.start = 3.06;
  modelData->realParameterData[49].info.id = 1074;
  modelData->realParameterData[49].info.name = "solarCollector.rho_glass";
  modelData->realParameterData[49].info.comment = "Glass density";
  modelData->realParameterData[49].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->realParameterData[49].info.info.lineStart = 24;
  modelData->realParameterData[49].info.info.colStart = 3;
  modelData->realParameterData[49].info.info.lineEnd = 24;
  modelData->realParameterData[49].info.info.colEnd = 68;
  modelData->realParameterData[49].info.info.readonly = 0;
  modelData->realParameterData[49].attribute.unit = "kg/m3";
  modelData->realParameterData[49].attribute.displayUnit = "g/cm3";
  modelData->realParameterData[49].attribute.min = 0.0;
  modelData->realParameterData[49].attribute.max = DBL_MAX;
  modelData->realParameterData[49].attribute.fixed = 1;
  modelData->realParameterData[49].attribute.useNominal = 0;
  modelData->realParameterData[49].attribute.nominal = 1.0;
  modelData->realParameterData[49].attribute.start = 2500.0;
  modelData->integerParameterData[0].info.id = 1075;
  modelData->integerParameterData[0].info.name = "NSection";
  modelData->integerParameterData[0].info.comment = "";
  modelData->integerParameterData[0].info.info.filename = "C:/Users/marion/Documents/OM_WD/Solar.mo";
  modelData->integerParameterData[0].info.info.lineStart = 3;
  modelData->integerParameterData[0].info.info.colStart = 3;
  modelData->integerParameterData[0].info.info.lineEnd = 3;
  modelData->integerParameterData[0].info.info.colEnd = 33;
  modelData->integerParameterData[0].info.info.readonly = 0;
  modelData->integerParameterData[0].attribute.min = -LONG_MAX;
  modelData->integerParameterData[0].attribute.max = LONG_MAX;
  modelData->integerParameterData[0].attribute.fixed = 1;
  modelData->integerParameterData[0].attribute.start = 0;
  modelData->integerParameterData[1].info.id = 1076;
  modelData->integerParameterData[1].info.name = "Paroi3.Ns";
  modelData->integerParameterData[1].info.comment = "Number of sections inside the wall";
  modelData->integerParameterData[1].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->integerParameterData[1].info.info.lineStart = 8;
  modelData->integerParameterData[1].info.info.colStart = 3;
  modelData->integerParameterData[1].info.info.lineEnd = 8;
  modelData->integerParameterData[1].info.info.colEnd = 62;
  modelData->integerParameterData[1].info.info.readonly = 0;
  modelData->integerParameterData[1].attribute.min = -LONG_MAX;
  modelData->integerParameterData[1].attribute.max = LONG_MAX;
  modelData->integerParameterData[1].attribute.fixed = 1;
  modelData->integerParameterData[1].attribute.start = 0;
  modelData->integerParameterData[2].info.id = 1077;
  modelData->integerParameterData[2].info.name = "heatSource.N";
  modelData->integerParameterData[2].info.comment = "";
  modelData->integerParameterData[2].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/BoundaryConditions/HeatSource.mo";
  modelData->integerParameterData[2].info.info.lineStart = 11;
  modelData->integerParameterData[2].info.info.colStart = 3;
  modelData->integerParameterData[2].info.info.lineEnd = 11;
  modelData->integerParameterData[2].info.info.colEnd = 33;
  modelData->integerParameterData[2].info.info.readonly = 0;
  modelData->integerParameterData[2].attribute.min = -LONG_MAX;
  modelData->integerParameterData[2].attribute.max = LONG_MAX;
  modelData->integerParameterData[2].attribute.fixed = 1;
  modelData->integerParameterData[2].attribute.start = 0;
  modelData->integerParameterData[3].info.id = 1078;
  modelData->integerParameterData[3].info.name = "heatSource.option_temperature";
  modelData->integerParameterData[3].info.comment = "1:temperature fixed - 2:heat power fixed";
  modelData->integerParameterData[3].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/BoundaryConditions/HeatSource.mo";
  modelData->integerParameterData[3].info.info.lineStart = 7;
  modelData->integerParameterData[3].info.info.colStart = 3;
  modelData->integerParameterData[3].info.info.lineEnd = 8;
  modelData->integerParameterData[3].info.info.colEnd = 47;
  modelData->integerParameterData[3].info.info.readonly = 0;
  modelData->integerParameterData[3].attribute.min = -LONG_MAX;
  modelData->integerParameterData[3].attribute.max = LONG_MAX;
  modelData->integerParameterData[3].attribute.fixed = 1;
  modelData->integerParameterData[3].attribute.start = 0;
  modelData->integerParameterData[4].info.id = 1079;
  modelData->integerParameterData[4].info.name = "solarCollector.Ns";
  modelData->integerParameterData[4].info.comment = "Number of cells";
  modelData->integerParameterData[4].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->integerParameterData[4].info.info.lineStart = 6;
  modelData->integerParameterData[4].info.info.colStart = 3;
  modelData->integerParameterData[4].info.info.lineEnd = 6;
  modelData->integerParameterData[4].info.info.colEnd = 44;
  modelData->integerParameterData[4].info.info.readonly = 0;
  modelData->integerParameterData[4].attribute.min = -LONG_MAX;
  modelData->integerParameterData[4].attribute.max = LONG_MAX;
  modelData->integerParameterData[4].attribute.fixed = 1;
  modelData->integerParameterData[4].attribute.start = 0;
  modelData->booleanParameterData[0].info.id = 1080;
  modelData->booleanParameterData[0].info.name = "Paroi3.steady_state";
  modelData->booleanParameterData[0].info.comment = "true: start from steady state - false: start from T0";
  modelData->booleanParameterData[0].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Thermal/HeatTransfer/HeatExchangerWall.mo";
  modelData->booleanParameterData[0].info.info.lineStart = 14;
  modelData->booleanParameterData[0].info.info.colStart = 3;
  modelData->booleanParameterData[0].info.info.lineEnd = 15;
  modelData->booleanParameterData[0].info.info.colEnd = 59;
  modelData->booleanParameterData[0].info.info.readonly = 0;
  modelData->booleanParameterData[0].attribute.fixed = 1;
  modelData->booleanParameterData[0].attribute.start = 0;
  modelData->booleanParameterData[1].info.id = 1081;
  modelData->booleanParameterData[1].info.name = "solarCollector.steady_state";
  modelData->booleanParameterData[1].info.comment = "true: start from steady state - false: start from T0";
  modelData->booleanParameterData[1].info.info.filename = "C:/Users/marion/Documents/OM_WD/ThermoSysPro 3.2/Solar/Collectors/SolarCollector.mo";
  modelData->booleanParameterData[1].info.info.lineStart = 27;
  modelData->booleanParameterData[1].info.info.colStart = 3;
  modelData->booleanParameterData[1].info.info.lineEnd = 28;
  modelData->booleanParameterData[1].info.info.colEnd = 59;
  modelData->booleanParameterData[1].info.info.readonly = 0;
  modelData->booleanParameterData[1].attribute.fixed = 1;
  modelData->booleanParameterData[1].attribute.start = 0;
}