/* Simulation code for Solar generated by the OpenModelica Compiler OpenModelica v1.19.0 (64-bit). */
#if !defined(Solar__MODEL_H)
#define Solar__MODEL_H

#include "openmodelica.h"
#include "openmodelica_func.h"
#include "simulation_data.h"
#include "simulation/simulation_info_json.h"
#include "simulation/simulation_runtime.h"
#include "util/omc_error.h"
#include "util/parallel_helper.h"
#include "simulation/simulation_omc_assert.h"
#include "simulation/solver/model_help.h"
#include "simulation/solver/delay.h"
#include "simulation/solver/linearSystem.h"
#include "simulation/solver/nonlinearSystem.h"
#include "simulation/solver/mixedSystem.h"
#include "simulation/solver/spatialDistribution.h"

#if defined(__cplusplus)
extern "C" {
#endif

#include <string.h>

#include "Solar_functions.h"


extern void Solar_callExternalObjectDestructors(DATA *_data, threadData_t *threadData);
#if !defined(OMC_NUM_NONLINEAR_SYSTEMS) || OMC_NUM_NONLINEAR_SYSTEMS>0
extern void Solar_initialNonLinearSystem(int nNonLinearSystems, NONLINEAR_SYSTEM_DATA *data);
#endif
#if !defined(OMC_NUM_LINEAR_SYSTEMS) || OMC_NUM_LINEAR_SYSTEMS>0
#endif
#if !defined(OMC_NUM_MIXED_SYSTEMS) || OMC_NUM_MIXED_SYSTEMS>0
#endif
#if !defined(OMC_NO_STATESELECTION)
extern void Solar_initializeStateSets(int nStateSets, STATE_SET_DATA* statesetData, DATA *data);
#endif
extern int Solar_functionAlgebraics(DATA *data, threadData_t *threadData);
extern int Solar_function_storeDelayed(DATA *data, threadData_t *threadData);
extern int Solar_function_storeSpatialDistribution(DATA *data, threadData_t *threadData);
extern int Solar_function_initSpatialDistribution(DATA *data, threadData_t *threadData);
extern int Solar_updateBoundVariableAttributes(DATA *data, threadData_t *threadData);
extern int Solar_functionInitialEquations(DATA *data, threadData_t *threadData);
extern int Solar_functionInitialEquations_lambda0(DATA *data, threadData_t *threadData);
extern int Solar_functionRemovedInitialEquations(DATA *data, threadData_t *threadData);
extern int Solar_updateBoundParameters(DATA *data, threadData_t *threadData);
extern int Solar_checkForAsserts(DATA *data, threadData_t *threadData);
extern int Solar_function_ZeroCrossingsEquations(DATA *data, threadData_t *threadData);
extern int Solar_function_ZeroCrossings(DATA *data, threadData_t *threadData, double* gout);
extern int Solar_function_updateRelations(DATA *data, threadData_t *threadData, int evalZeroCross);
extern const char* Solar_zeroCrossingDescription(int i, int **out_EquationIndexes);
extern const char* Solar_relationDescription(int i);
extern void Solar_function_initSample(DATA *data, threadData_t *threadData);
extern int Solar_initialAnalyticJacobianG(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_initialAnalyticJacobianA(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_initialAnalyticJacobianB(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_initialAnalyticJacobianC(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_initialAnalyticJacobianD(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_initialAnalyticJacobianF(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *jacobian);
extern int Solar_functionJacG_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern int Solar_functionJacA_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern int Solar_functionJacB_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern int Solar_functionJacC_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern int Solar_functionJacD_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern int Solar_functionJacF_column(void* data, threadData_t *threadData, ANALYTIC_JACOBIAN *thisJacobian, ANALYTIC_JACOBIAN *parentJacobian);
extern const char* Solar_linear_model_frame(void);
extern const char* Solar_linear_model_datarecovery_frame(void);
extern int Solar_mayer(DATA* data, modelica_real** res, short *);
extern int Solar_lagrange(DATA* data, modelica_real** res, short *, short *);
extern int Solar_pickUpBoundsForInputsInOptimization(DATA* data, modelica_real* min, modelica_real* max, modelica_real*nominal, modelica_boolean *useNominal, char ** name, modelica_real * start, modelica_real * startTimeOpt);
extern int Solar_setInputData(DATA *data, const modelica_boolean file);
extern int Solar_getTimeGrid(DATA *data, modelica_integer * nsi, modelica_real**t);
extern void Solar_function_initSynchronous(DATA * data, threadData_t *threadData);
extern void Solar_function_updateSynchronous(DATA * data, threadData_t *threadData, long base_idx);
extern int Solar_function_equationsSynchronous(DATA * data, threadData_t *threadData, long base_idx, long sub_idx);
extern void Solar_read_input_fmu(MODEL_DATA* modelData, SIMULATION_INFO* simulationData);
extern void Solar_function_savePreSynchronous(DATA *data, threadData_t *threadData);
extern int Solar_inputNames(DATA* data, char ** names);
extern int Solar_dataReconciliationInputNames(DATA* data, char ** names);
extern int Solar_initializeDAEmodeData(DATA *data, DAEMODE_DATA*);
extern int Solar_functionLocalKnownVars(DATA*, threadData_t*);
extern int Solar_symbolicInlineSystem(DATA*, threadData_t*);

#include "Solar_literals.h"




#if defined(HPCOM) && !defined(_OPENMP)
  #error "HPCOM requires OpenMP or the results are wrong"
#endif
#if defined(_OPENMP)
  #include <omp.h>
#else
  /* dummy omp defines */
  #define omp_get_max_threads() 1
#endif

#if defined(__cplusplus)
}
#endif

#endif /* !defined(Solar__MODEL_H) */


